# RCS0011: Add/remove blank line between single\-line accessors

| Property        | Value                                                 |
| --------------- | ----------------------------------------------------- |
| Id              | RCS0011                                               |
| Severity        | None                                                  |
| Required option | `roslynator_blank_line_between_single_line_accessors` |

## Example

### Code with Diagnostic

```csharp
string P
{
    get { return _p; } // RCS0011
    set { _p = value; }
}
```

### Code with Fix

```csharp
string P
{
    get { return _p; }
    
    set { _p = value; }
}
```

## Options

### Add/remove blank line between single\-line accessors

```editorconfig
roslynator_blank_line_between_single_line_accessors = true|false
```

## Applies to

* [Roslynator.Formatting.Analyzers](https://www.nuget.org/packages/Roslynator.Formatting.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*