# RCS0021: Format block's braces on a single line or multiple lines

| Property        | Value                           |
| --------------- | ------------------------------- |
| Id              | RCS0021                         |
| Severity        | None                            |
| Required option | `roslynator_block_braces_style` |

## Example

### Code with Diagnostic

```csharp
void Foo() { Bar(); }
```

### Code with Fix

```csharp
void Foo()
{
    Bar();
}
```

## Options

### Format block's braces on single line or multiple lines

```editorconfig
roslynator_block_braces_style = multi_line|single_line_when_empty
```

## Applies to

* [Roslynator.Formatting.Analyzers](https://www.nuget.org/packages/Roslynator.Formatting.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*