# RCS0029: Put constructor initializer on its own line

| Property | Value   |
| -------- | ------- |
| Id       | RCS0029 |
| Severity | None    |

## Example

### Code with Diagnostic

```csharp
Foo(object p1, object p2) : base(p1) // RCS0029
{
    P2 = p2;
}
```

### Code with Fix

```csharp
Foo(object p1, object p2)
    : base(p1)
{
    P2 = p2;
}
```

## Applies to

* [Roslynator.Formatting.Analyzers](https://www.nuget.org/packages/Roslynator.Formatting.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*