# RCS0043: Format accessor's braces on a single line when expression is on single line

| Property | Value   |
| -------- | ------- |
| Id       | RCS0043 |
| Severity | None    |

## Example

### Code with Diagnostic

```csharp
string Foo
{
    get
    {
        return _foo;
    }
    set
    {
        _foo = value;
    }
}
```

### Code with Fix

```csharp
string Foo
{
    get { return _foo; }
    set { _foo = value; }
}
```

## Applies to

* [Roslynator.Formatting.Analyzers](https://www.nuget.org/packages/Roslynator.Formatting.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*