# RCS0051: Add/remove new line before 'while' in 'do' statement

| Property        | Value                                              |
| --------------- | -------------------------------------------------- |
| Id              | RCS0051                                            |
| Severity        | None                                               |
| Required option | `roslynator_new_line_before_while_in_do_statement` |

## Example

### Code with Diagnostic

```csharp
do
{
    Foo();
} while (x); // RCS0051
```

### Code with Fix

```csharp
do
{
    Foo();
}
while (x);
```

## Options

### Include/omit new line before 'while' in 'do' statement

```editorconfig
roslynator_new_line_before_while_in_do_statement = true|false
```

## Applies to

* [Roslynator.Formatting.Analyzers](https://www.nuget.org/packages/Roslynator.Formatting.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*