# RCS0059: Place new line after/before null\-conditional operator

| Property        | Value                                           |
| --------------- | ----------------------------------------------- |
| Id              | RCS0059                                         |
| Severity        | None                                            |
| Required option | `roslynator_null_conditional_operator_new_line` |

## Example

### Code with Diagnostic

```csharp
items
    .Select(selector)
    .FirstOrDefault()
    ?.ToString()
    
```

### Code with Fix

```csharp
items
    .Select(selector)
    .FirstOrDefault()?
    .ToString()
    
```

## Options

### Place new line after/before null\-conditional operator

```editorconfig
roslynator_null_conditional_operator_new_line = after|before
```

## Applies to

* [Roslynator.Formatting.Analyzers](https://www.nuget.org/packages/Roslynator.Formatting.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*