# RCS1014: Use explicitly/implicitly typed array

| Property        | Value                                  |
| --------------- | -------------------------------------- |
| Id              | RCS1014                                |
| Severity        | None                                   |
| Required option | `roslynator_array_creation_type_style` |

## Example

### Code with Diagnostic

```csharp
var items = new[] { "a", B };
```

### Code with Fix

```csharp
var items = new string[] { "a", B };
```

## Options

### Prefer explicitly/implicitly typed array

```editorconfig
roslynator_array_creation_type_style = explicit|implicit|implicit_when_type_is_obvious
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*