# RCS1016: Use block body or expression body

| Property                 | Value                                                                                                                                                                      |
| ------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Id                       | RCS1016                                                                                                                                                                    |
| Severity                 | None                                                                                                                                                                       |
| Minimum language version | 6\.0                                                                                                                                                                       |
| Required option          | `roslynator_body_style` or `roslynator_use_block_body_when_declaration_spans_over_multiple_lines` or `roslynator_use_block_body_when_expression_spans_over_multiple_lines` |

## Example

### Code with Diagnostic

```csharp
public string Foo()
{ // RCS1016
    return "";
}
```

### Code with Fix

```csharp
public string Foo() => "";
```

## Options

### Prefer block body or expression body

```editorconfig
roslynator_body_style = block|expression
```

### Use block body when declaration spans over multiple lines

```editorconfig
roslynator_use_block_body_when_declaration_spans_over_multiple_lines = true|false
```

### Use block body when expression spans over multiple lines

```editorconfig
roslynator_use_block_body_when_expression_spans_over_multiple_lines = true|false
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*