# RCS1078: Use "" or 'string\.Empty'

| Property        | Value                           |
| --------------- | ------------------------------- |
| Id              | RCS1078                         |
| Severity        | None                            |
| Required option | `roslynator_empty_string_style` |

## Example

### Code with Diagnostic

```csharp
string s = string.Empty;
```

### Code with Fix

```csharp
string s = "";
```

## Options

### Prefer 'string\.Empty' or empty string literal

```editorconfig
roslynator_empty_string_style = field|literal
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*