# RCS1090: Add/remove 'ConfigureAwait\(false\)' call

| Property        | Value                        |
| --------------- | ---------------------------- |
| Id              | RCS1090                      |
| Severity        | None                         |
| Required option | `roslynator_configure_await` |

## Example

### Code with Diagnostic

```csharp
public async Task FooAsync()
{
    await GetValueAsync(); // RCS1090
}
```

### Code with Fix

```csharp
public async Task FooAsync()
{
    await GetValueAsync().ConfigureAwait(false);
}
```

## Options

### Add/remove 'ConfigureAwait\(false\)' call

```editorconfig
roslynator_configure_await = true|false
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*