# RCS1134: Remove redundant statement

| Property | Value   |
| -------- | ------- |
| Id       | RCS1134 |
| Severity | Hidden  |

## Examples

### Code with Diagnostic

```csharp
if (x)
{
    // ...

    return false; // RCS1134
}

return false;
```

### Code with Fix

```csharp
if (x)
{
    // ...
}

return false;
```

- - -

### Code with Diagnostic

```csharp
public void Foo()
{
    // ...

    return; // RCS1134
}
```

### Code with Fix

```csharp
public void Foo()
{
    // ...
}
```

- - -

### Code with Diagnostic

```csharp
foreach (object item in items)
{
    /// ...

    continue; // RCS1134
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*