# RCS1142: Add 'typeparam' element to documentation comment

| Property | Value   |
| -------- | ------- |
| Id       | RCS1142 |
| Severity | Hidden  |

## Example

### Code with Diagnostic

```csharp
/// <summary>
/// ...
/// </summary>
/// <typeparam name="T1"></typeparam>
public class Foo<T1, T2> // RCS1142
{
}
```

### Code with Fix

```csharp
/// <summary>
/// ...
/// </summary>
/// <typeparam name="T1"></typeparam>
/// <typeparam name="T2"></typeparam>
public class Foo<T1, T2>
{
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*