# RCS1165: Unconstrained type parameter checked for null

| Property | Value   |
| -------- | ------- |
| Id       | RCS1165 |
| Severity | Hidden  |

## Example

### Code with Diagnostic

```csharp
public void Foo<T1>() where T1 : new()
{
    var x = default(T1);

    if (x == null) // RCS1165
    {
    }
}
```

### Code with Fix

```csharp
if (EqualityComparer<T1>.Default.Equals(x, default(T1)))
{
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*