# RCS1166: Value type object is never equal to null

| Property | Value   |
| -------- | ------- |
| Id       | RCS1166 |
| Severity | Info    |

## Example

### Code with Diagnostic

```csharp
int x = 0;
IntPtr y = IntPtr.Zero

// ...

if (x == null) // RCS1166
{
}

if (y == null) // RCS1166
{
}
```

### Code with Fix

```csharp
if (x == 0)
{
}

if (y == default)
{
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*