# RCS1180: Inline lazy initialization

| Property | Value   |
| -------- | ------- |
| Id       | RCS1180 |
| Severity | Info    |

## Example

### Code with Diagnostic

```csharp
List<object> items = null;

// ...

if (items == null) // RCS1180
{
    items = new List<object>();
}

items.Add(x);
```

### Code with Fix

```csharp
(items ?? (items = new List<object>())).Add(x);
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*