# RCS1186: Use Regex instance instead of static method

| Property | Value   |
| -------- | ------- |
| Id       | RCS1186 |
| Severity | Hidden  |

## Example

### Code with Diagnostic

```csharp
private void Bar()
{
    bool isMatch = Regex.IsMatch("abc", @"\w"); // RCS1186
}
```

### Code with Fix

```csharp
private readonly Regex _regex = new Regex(@"\w");

private void Bar()
{
    bool isMatch = _regex.IsMatch("abc");
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*