# RCS1191: Declare enum value as combination of names

| Property | Value   |
| -------- | ------- |
| Id       | RCS1191 |
| Severity | Info    |

## Example

### Code with Diagnostic

```csharp
[Flags]
public enum Foo
{
    None = 0,
    A = 1,
    B = 2,
    C = 4,
    ABC = 7 // RCS1191
}
```

### Code with Fix

```csharp
[Flags]
public enum Foo
{
    None = 0,
    A = 1,
    B = 2,
    C = 4,
    ABC = A | B | C
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*