# RCS1194: Implement exception constructors

| Property | Value   |
| -------- | ------- |
| Id       | RCS1194 |
| Severity | Warning |

## Example

### Code with Diagnostic

```csharp
public class FooException : Exception // RCS1194
{
}
```

### Code with Fix

```csharp
public class FooException : Exception
{
    public FooException() : base()
    {
    }

    public FooException(string message) : base(message)
    {
    }

    public FooException(string message, Exception innerException) : base(message, innerException)
    {
    }
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*