# RCS1216: Unnecessary unsafe context

| Property | Value   |
| -------- | ------- |
| Id       | RCS1216 |
| Severity | Info    |

## Example

### Code with Diagnostic

```csharp
public unsafe class Foo // RCS1216
{
    public Foo()
    {
        unsafe // RCS1216
        {
            Bar();
        }
    }

    private unsafe void Bar() // RCS1216
    {
    }
}
```

### Code with Fix

```csharp
public class Foo
{
    public Foo()
    {
        Bar();
    }

    private void Bar()
    {
    }
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*