# RCS1235: Optimize method call

| Property | Value   |
| -------- | ------- |
| Id       | RCS1235 |
| Severity | Info    |

## Examples

### Code with Diagnostic

```csharp
string.Compare(x, y, StringComparison.Ordinal)
```

### Code with Fix

```csharp
string.CompareOrdinal(x, y)
```

- - -

### Code with Diagnostic

```csharp
string.Compare(x, y, StringComparison.CurrentCulture) == 0
```

### Code with Fix

```csharp
string.Equals(x, y, StringComparison.CurrentCulture)
```

- - -

### Code with Diagnostic

```csharp
string.Join("", x, z, y)
```

### Code with Fix

```csharp
string.Concat(x, y, z)
```

- - -

### Code with Diagnostic

```csharp
Debug.Assert(false, "message");
```

### Code with Fix

```csharp
Debug.Fail("message");
```

- - -

### Code with Diagnostic

```csharp
if (dic.ContainsKey(key)) // RCS1235
{
  dic[key] = value;
}
else
{
  dic.Add(key, value);
}
```

### Code with Fix

```csharp
dic[key] = value;
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*