# RCS9004: Call 'Any' instead of accessing 'Count'

| Property | Value   |
| -------- | ------- |
| Id       | RCS9004 |
| Severity | Info    |

## Examples

### Code with Diagnostic

```csharp
syntaxList.Count > 0
```

### Code with Fix

```csharp
syntaxList.Any()
```

- - -

### Code with Diagnostic

```csharp
syntaxList.Count == 0
```

### Code with Fix

```csharp
!syntaxList.Any()
```

## Remarks

This analyzer is applicable for following types:
* `Microsoft.CodeAnalysis.ChildSyntaxList`
* `Microsoft.CodeAnalysis.SeparatedSyntaxList<TNode>`
* `Microsoft.CodeAnalysis.SyntaxList<TNode>`
* `Microsoft.CodeAnalysis.SyntaxNodeOrTokenList`
* `Microsoft.CodeAnalysis.SyntaxTokenList`
* `Microsoft.CodeAnalysis.SyntaxTriviaList`

## Applies to

* [Roslynator.CodeAnalysis.Analyzers](https://www.nuget.org/packages/Roslynator.CodeAnalysis.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*