# RCS9006: Use element access

| Property | Value   |
| -------- | ------- |
| Id       | RCS9006 |
| Severity | Info    |

## Examples

### Code with Diagnostic

```csharp
syntaxList.First()
```

### Code with Fix

```csharp
syntaxList[0]
```

- - -

### Code with Diagnostic

```csharp
triviaList.ElementAt(1)
```

### Code with Fix

```csharp
triviaList[1]
```

## Remarks

This analyzer is applicable for following types:
* `Microsoft.CodeAnalysis.ChildSyntaxList`
* `Microsoft.CodeAnalysis.SeparatedSyntaxList<TNode>`
* `Microsoft.CodeAnalysis.SyntaxList<TNode>`
* `Microsoft.CodeAnalysis.SyntaxNodeOrTokenList`
* `Microsoft.CodeAnalysis.SyntaxTokenList`
* `Microsoft.CodeAnalysis.SyntaxTriviaList`

## Applies to

* [Roslynator.CodeAnalysis.Analyzers](https://www.nuget.org/packages/Roslynator.CodeAnalysis.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*