# RCS9011: Specify ExportCodeFixProviderAttribute\.Name

| Property | Value   |
| -------- | ------- |
| Id       | RCS9011 |
| Severity | Hidden  |

## Example

### Code with Diagnostic

```csharp
[ExportCodeFixProvider(LanguageNames.CSharp)] // RCS9011
class FooCodeFixProvider : CodeFixProvider
{
}
```

### Code with Fix

```csharp
[ExportCodeFixProvider(LanguageNames.CSharp, Name = nameof(FooCodeFixProvider))]
class FooCodeFixProvider : CodeFixProvider
{
}
```

## Applies to

* [Roslynator.CodeAnalysis.Analyzers](https://www.nuget.org/packages/Roslynator.CodeAnalysis.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*