# CSharpFactory Class

[Home](../../../README.md) &#x2022; [Methods](#methods)

**Namespace**: [Roslynator.CSharp](../README.md)

**Assembly**: Roslynator\.CSharp\.dll

  
A factory for syntax nodes, tokens and trivia\. This class is built on top of [SyntaxFactory](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntaxfactory) members\.

```csharp
public static class CSharpFactory
```

## Methods

| Method | Summary |
| ------ | ------- |
| [AccessorList(AccessorDeclarationSyntax)](AccessorList/README.md#3317086704) | |
| [AccessorList(AccessorDeclarationSyntax\[\])](AccessorList/README.md#3016174058) | |
| [AddAccessorDeclaration(ArrowExpressionClauseSyntax)](AddAccessorDeclaration/README.md#1981903855) | |
| [AddAccessorDeclaration(BlockSyntax)](AddAccessorDeclaration/README.md#1807192658) | |
| [AddAccessorDeclaration(SyntaxTokenList, ArrowExpressionClauseSyntax)](AddAccessorDeclaration/README.md#2022838816) | |
| [AddAccessorDeclaration(SyntaxTokenList, BlockSyntax)](AddAccessorDeclaration/README.md#2862602376) | |
| [AddAssignmentExpression(ExpressionSyntax, ExpressionSyntax)](AddAssignmentExpression/README.md#45844685) | |
| [AddAssignmentExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](AddAssignmentExpression/README.md#425224454) | |
| [AddExpression(ExpressionSyntax, ExpressionSyntax)](AddExpression/README.md#4039649307) | |
| [AddExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](AddExpression/README.md#2149100472) | |
| [AddressOfExpression(ExpressionSyntax, SyntaxToken)](AddressOfExpression/README.md#3920085080) | |
| [AddressOfExpression(ExpressionSyntax)](AddressOfExpression/README.md#3388775051) | |
| [AndAssignmentExpression(ExpressionSyntax, ExpressionSyntax)](AndAssignmentExpression/README.md#3726163172) | |
| [AndAssignmentExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](AndAssignmentExpression/README.md#1360296056) | |
| [Argument(NameColonSyntax, ExpressionSyntax)](Argument/README.md) | |
| [ArgumentList(ArgumentSyntax)](ArgumentList/README.md#1783010159) | |
| [ArgumentList(ArgumentSyntax\[\])](ArgumentList/README.md#914433041) | |
| [ArrayInitializerExpression(SeparatedSyntaxList\<ExpressionSyntax\>)](ArrayInitializerExpression/README.md#1483103093) | |
| [ArrayInitializerExpression(SyntaxToken, SeparatedSyntaxList\<ExpressionSyntax\>, SyntaxToken)](ArrayInitializerExpression/README.md#3659546410) | |
| [AsExpression(ExpressionSyntax, ExpressionSyntax)](AsExpression/README.md#4049875118) | |
| [AsExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](AsExpression/README.md#2324887667) | |
| [Attribute(NameSyntax, AttributeArgumentSyntax)](Attribute/README.md) | |
| [AttributeArgument(NameColonSyntax, ExpressionSyntax)](AttributeArgument/README.md#2771912953) | |
| [AttributeArgument(NameEqualsSyntax, ExpressionSyntax)](AttributeArgument/README.md#3471678293) | |
| [AttributeArgumentList(AttributeArgumentSyntax)](AttributeArgumentList/README.md#2798859368) | |
| [AttributeArgumentList(AttributeArgumentSyntax\[\])](AttributeArgumentList/README.md#3209884174) | |
| [AttributeList(AttributeSyntax)](AttributeList/README.md#1472087019) | |
| [AttributeList(AttributeSyntax\[\])](AttributeList/README.md#2997688182) | |
| [AutoGetAccessorDeclaration(SyntaxTokenList)](AutoGetAccessorDeclaration/README.md) | |
| [AutoInitAccessorDeclaration(SyntaxTokenList)](AutoInitAccessorDeclaration/README.md) | |
| [AutoSetAccessorDeclaration(SyntaxTokenList)](AutoSetAccessorDeclaration/README.md) | |
| [BaseConstructorInitializer(ArgumentListSyntax)](BaseConstructorInitializer/README.md#2639917440) | |
| [BaseConstructorInitializer(SyntaxToken, ArgumentListSyntax)](BaseConstructorInitializer/README.md#3252590525) | |
| [BaseList(BaseTypeSyntax)](BaseList/README.md#1558789727) | |
| [BaseList(BaseTypeSyntax\[\])](BaseList/README.md#1748860841) | |
| [BaseList(SyntaxToken, BaseTypeSyntax)](BaseList/README.md#1515038236) | |
| [BaseList(SyntaxToken, BaseTypeSyntax\[\])](BaseList/README.md#3682631255) | |
| [BitwiseAndExpression(ExpressionSyntax, ExpressionSyntax)](BitwiseAndExpression/README.md#3718690684) | |
| [BitwiseAndExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](BitwiseAndExpression/README.md#3996956067) | |
| [BitwiseNotExpression(ExpressionSyntax, SyntaxToken)](BitwiseNotExpression/README.md#1945116086) | |
| [BitwiseNotExpression(ExpressionSyntax)](BitwiseNotExpression/README.md#1717020951) | |
| [BitwiseOrExpression(ExpressionSyntax, ExpressionSyntax)](BitwiseOrExpression/README.md#1667454181) | |
| [BitwiseOrExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](BitwiseOrExpression/README.md#4269566769) | |
| [Block(StatementSyntax)](Block/README.md#907225641) | |
| [Block(SyntaxToken, StatementSyntax, SyntaxToken)](Block/README.md#1654242285) | |
| [BooleanLiteralExpression(Boolean)](BooleanLiteralExpression/README.md) | |
| [BracketedArgumentList(ArgumentSyntax)](BracketedArgumentList/README.md#2612463855) | |
| [BracketedArgumentList(ArgumentSyntax\[\])](BracketedArgumentList/README.md#3452327495) | |
| [BracketedParameterList(ParameterSyntax)](BracketedParameterList/README.md#2163265959) | |
| [BracketedParameterList(ParameterSyntax\[\])](BracketedParameterList/README.md#2660101651) | |
| [ClassConstraint()](ClassConstraint/README.md) | |
| [ClassDeclaration(SyntaxTokenList, String, SyntaxList\<MemberDeclarationSyntax\>)](ClassDeclaration/README.md#1797779004) | |
| [ClassDeclaration(SyntaxTokenList, SyntaxToken, SyntaxList\<MemberDeclarationSyntax\>)](ClassDeclaration/README.md#3930390176) | |
| [CoalesceAssignmentExpression(ExpressionSyntax, ExpressionSyntax)](CoalesceAssignmentExpression/README.md#2824829174) | |
| [CoalesceAssignmentExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](CoalesceAssignmentExpression/README.md#3732633961) | |
| [CoalesceExpression(ExpressionSyntax, ExpressionSyntax)](CoalesceExpression/README.md#2327647731) | |
| [CoalesceExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](CoalesceExpression/README.md#3463985780) | |
| [CollectionInitializerExpression(SeparatedSyntaxList\<ExpressionSyntax\>)](CollectionInitializerExpression/README.md#3589452669) | |
| [CollectionInitializerExpression(SyntaxToken, SeparatedSyntaxList\<ExpressionSyntax\>, SyntaxToken)](CollectionInitializerExpression/README.md#3700811157) | |
| [CompilationUnit(MemberDeclarationSyntax)](CompilationUnit/README.md#3275445737) | |
| [CompilationUnit(SyntaxList\<UsingDirectiveSyntax\>, MemberDeclarationSyntax)](CompilationUnit/README.md#813881929) | |
| [CompilationUnit(SyntaxList\<UsingDirectiveSyntax\>, SyntaxList\<MemberDeclarationSyntax\>)](CompilationUnit/README.md#2664110828) | |
| [ComplexElementInitializerExpression(SeparatedSyntaxList\<ExpressionSyntax\>)](ComplexElementInitializerExpression/README.md#561848386) | |
| [ComplexElementInitializerExpression(SyntaxToken, SeparatedSyntaxList\<ExpressionSyntax\>, SyntaxToken)](ComplexElementInitializerExpression/README.md#1369186474) | |
| [ConstructorDeclaration(SyntaxTokenList, SyntaxToken, ParameterListSyntax, ArrowExpressionClauseSyntax)](ConstructorDeclaration/README.md#1635227640) | |
| [ConstructorDeclaration(SyntaxTokenList, SyntaxToken, ParameterListSyntax, BlockSyntax)](ConstructorDeclaration/README.md#2744711094) | |
| [DefaultLiteralExpression()](DefaultLiteralExpression/README.md) | |
| [DefaultSwitchSection(StatementSyntax)](DefaultSwitchSection/README.md#1141874678) | |
| [DefaultSwitchSection(SyntaxList\<StatementSyntax\>)](DefaultSwitchSection/README.md#3972211189) | |
| [DelegateDeclaration(SyntaxTokenList, TypeSyntax, String, ParameterListSyntax)](DelegateDeclaration/README.md#1942786720) | |
| [DelegateDeclaration(SyntaxTokenList, TypeSyntax, SyntaxToken, ParameterListSyntax)](DelegateDeclaration/README.md#1727476607) | |
| [DivideAssignmentExpression(ExpressionSyntax, ExpressionSyntax)](DivideAssignmentExpression/README.md#44574407) | |
| [DivideAssignmentExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](DivideAssignmentExpression/README.md#1739644216) | |
| [DivideExpression(ExpressionSyntax, ExpressionSyntax)](DivideExpression/README.md#2763385489) | |
| [DivideExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](DivideExpression/README.md#976859337) | |
| [EmptyWhitespace()](EmptyWhitespace/README.md) | |
| [EnumDeclaration(SyntaxTokenList, SyntaxToken, SeparatedSyntaxList\<EnumMemberDeclarationSyntax\>)](EnumDeclaration/README.md) | |
| [EnumMemberDeclaration(String, EqualsValueClauseSyntax)](EnumMemberDeclaration/README.md#689133893) | |
| [EnumMemberDeclaration(String, ExpressionSyntax)](EnumMemberDeclaration/README.md#1069228930) | |
| [EnumMemberDeclaration(SyntaxToken, EqualsValueClauseSyntax)](EnumMemberDeclaration/README.md#1129590012) | |
| [EnumMemberDeclaration(SyntaxToken, ExpressionSyntax)](EnumMemberDeclaration/README.md#4109945594) | |
| [EqualsExpression(ExpressionSyntax, ExpressionSyntax)](EqualsExpression/README.md#3410153841) | |
| [EqualsExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](EqualsExpression/README.md#3401982190) | |
| [EventDeclaration(SyntaxTokenList, TypeSyntax, String, AccessorListSyntax)](EventDeclaration/README.md#3484208712) | |
| [EventDeclaration(SyntaxTokenList, TypeSyntax, SyntaxToken, AccessorListSyntax)](EventDeclaration/README.md#3312331935) | |
| [EventFieldDeclaration(SyntaxTokenList, TypeSyntax, String)](EventFieldDeclaration/README.md#3974214725) | |
| [EventFieldDeclaration(SyntaxTokenList, TypeSyntax, SyntaxToken)](EventFieldDeclaration/README.md#877505285) | |
| [ExclusiveOrAssignmentExpression(ExpressionSyntax, ExpressionSyntax)](ExclusiveOrAssignmentExpression/README.md#688117811) | |
| [ExclusiveOrAssignmentExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](ExclusiveOrAssignmentExpression/README.md#3208424127) | |
| [ExclusiveOrExpression(ExpressionSyntax, ExpressionSyntax)](ExclusiveOrExpression/README.md#39534014) | |
| [ExclusiveOrExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](ExclusiveOrExpression/README.md#4246782258) | |
| [ExplicitConversionOperatorDeclaration(SyntaxTokenList, TypeSyntax, ParameterListSyntax, ArrowExpressionClauseSyntax)](ExplicitConversionOperatorDeclaration/README.md#1706320701) | |
| [ExplicitConversionOperatorDeclaration(SyntaxTokenList, TypeSyntax, ParameterListSyntax, BlockSyntax)](ExplicitConversionOperatorDeclaration/README.md#1048875626) | |
| [FalseLiteralExpression()](FalseLiteralExpression/README.md) | |
| [FieldDeclaration(SyntaxTokenList, TypeSyntax, String, EqualsValueClauseSyntax)](FieldDeclaration/README.md#1084241695) | |
| [FieldDeclaration(SyntaxTokenList, TypeSyntax, String, ExpressionSyntax)](FieldDeclaration/README.md#2192188871) | |
| [FieldDeclaration(SyntaxTokenList, TypeSyntax, SyntaxToken, EqualsValueClauseSyntax)](FieldDeclaration/README.md#2630236285) | |
| [FieldDeclaration(SyntaxTokenList, TypeSyntax, SyntaxToken, ExpressionSyntax)](FieldDeclaration/README.md#1939478107) | |
| [ForStatement(VariableDeclarationSyntax, ExpressionSyntax, ExpressionSyntax, StatementSyntax)](ForStatement/README.md) | |
| [GenericName(String, TypeSyntax)](GenericName/README.md#3965910358) | |
| [GenericName(SyntaxToken, TypeSyntax)](GenericName/README.md#1025023640) | |
| [GetAccessorDeclaration(ArrowExpressionClauseSyntax)](GetAccessorDeclaration/README.md#3387818681) | |
| [GetAccessorDeclaration(BlockSyntax)](GetAccessorDeclaration/README.md#731617823) | |
| [GetAccessorDeclaration(SyntaxTokenList, ArrowExpressionClauseSyntax)](GetAccessorDeclaration/README.md#949388947) | |
| [GetAccessorDeclaration(SyntaxTokenList, BlockSyntax)](GetAccessorDeclaration/README.md#3920816721) | |
| [GreaterThanExpression(ExpressionSyntax, ExpressionSyntax)](GreaterThanExpression/README.md#3935829033) | |
| [GreaterThanExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](GreaterThanExpression/README.md#3360555596) | |
| [GreaterThanOrEqualExpression(ExpressionSyntax, ExpressionSyntax)](GreaterThanOrEqualExpression/README.md#221428631) | |
| [GreaterThanOrEqualExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](GreaterThanOrEqualExpression/README.md#3738552855) | |
| [CharacterLiteralExpression(Char)](CharacterLiteralExpression/README.md) | |
| [CheckedExpression(ExpressionSyntax)](CheckedExpression/README.md#2444239571) | |
| [CheckedExpression(SyntaxToken, ExpressionSyntax, SyntaxToken)](CheckedExpression/README.md#3821766561) | |
| [ImplicitConversionOperatorDeclaration(SyntaxTokenList, TypeSyntax, ParameterListSyntax, ArrowExpressionClauseSyntax)](ImplicitConversionOperatorDeclaration/README.md#1213915690) | |
| [ImplicitConversionOperatorDeclaration(SyntaxTokenList, TypeSyntax, ParameterListSyntax, BlockSyntax)](ImplicitConversionOperatorDeclaration/README.md#372543999) | |
| [IndexerDeclaration(SyntaxTokenList, TypeSyntax, BracketedParameterListSyntax, AccessorListSyntax)](IndexerDeclaration/README.md#2315453969) | |
| [IndexerDeclaration(SyntaxTokenList, TypeSyntax, BracketedParameterListSyntax, ArrowExpressionClauseSyntax)](IndexerDeclaration/README.md#4280653808) | |
| [InterfaceDeclaration(SyntaxTokenList, String, SyntaxList\<MemberDeclarationSyntax\>)](InterfaceDeclaration/README.md#3607676404) | |
| [InterfaceDeclaration(SyntaxTokenList, SyntaxToken, SyntaxList\<MemberDeclarationSyntax\>)](InterfaceDeclaration/README.md#1215247760) | |
| [IsExpression(ExpressionSyntax, ExpressionSyntax)](IsExpression/README.md#3604210358) | |
| [IsExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](IsExpression/README.md#3748522859) | |
| [LeftShiftAssignmentExpression(ExpressionSyntax, ExpressionSyntax)](LeftShiftAssignmentExpression/README.md#3329994424) | |
| [LeftShiftAssignmentExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](LeftShiftAssignmentExpression/README.md#689547714) | |
| [LeftShiftExpression(ExpressionSyntax, ExpressionSyntax)](LeftShiftExpression/README.md#4009991343) | |
| [LeftShiftExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](LeftShiftExpression/README.md#2392439982) | |
| [LessThanExpression(ExpressionSyntax, ExpressionSyntax)](LessThanExpression/README.md#3592720238) | |
| [LessThanExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](LessThanExpression/README.md#2091493422) | |
| [LessThanOrEqualExpression(ExpressionSyntax, ExpressionSyntax)](LessThanOrEqualExpression/README.md#2219440825) | |
| [LessThanOrEqualExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](LessThanOrEqualExpression/README.md#2178037426) | |
| [LiteralExpression(Object)](LiteralExpression/README.md) | |
| [LocalDeclarationStatement(TypeSyntax, String, EqualsValueClauseSyntax)](LocalDeclarationStatement/README.md#692390918) | |
| [LocalDeclarationStatement(TypeSyntax, String, ExpressionSyntax)](LocalDeclarationStatement/README.md#1887855677) | |
| [LocalDeclarationStatement(TypeSyntax, SyntaxToken, EqualsValueClauseSyntax)](LocalDeclarationStatement/README.md#3020861050) | |
| [LocalDeclarationStatement(TypeSyntax, SyntaxToken, ExpressionSyntax)](LocalDeclarationStatement/README.md#3459213941) | |
| [LocalFunctionStatement(SyntaxTokenList, TypeSyntax, SyntaxToken, ParameterListSyntax, ArrowExpressionClauseSyntax)](LocalFunctionStatement/README.md#1441796136) | |
| [LocalFunctionStatement(SyntaxTokenList, TypeSyntax, SyntaxToken, ParameterListSyntax, BlockSyntax)](LocalFunctionStatement/README.md#351293307) | |
| [LogicalAndExpression(ExpressionSyntax, ExpressionSyntax)](LogicalAndExpression/README.md#4125289960) | |
| [LogicalAndExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](LogicalAndExpression/README.md#267617192) | |
| [LogicalNotExpression(ExpressionSyntax, SyntaxToken)](LogicalNotExpression/README.md#3668344829) | |
| [LogicalNotExpression(ExpressionSyntax)](LogicalNotExpression/README.md#140723235) | |
| [LogicalOrExpression(ExpressionSyntax, ExpressionSyntax)](LogicalOrExpression/README.md#4119931722) | |
| [LogicalOrExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](LogicalOrExpression/README.md#3430880329) | |
| [MethodDeclaration(SyntaxTokenList, TypeSyntax, SyntaxToken, ParameterListSyntax, ArrowExpressionClauseSyntax)](MethodDeclaration/README.md#1245730861) | |
| [MethodDeclaration(SyntaxTokenList, TypeSyntax, SyntaxToken, ParameterListSyntax, BlockSyntax)](MethodDeclaration/README.md#3794712067) | |
| [ModuloAssignmentExpression(ExpressionSyntax, ExpressionSyntax)](ModuloAssignmentExpression/README.md#1281589512) | |
| [ModuloAssignmentExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](ModuloAssignmentExpression/README.md#1442628917) | |
| [ModuloExpression(ExpressionSyntax, ExpressionSyntax)](ModuloExpression/README.md#1768758827) | |
| [ModuloExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](ModuloExpression/README.md#2592790901) | |
| [MultiplyAssignmentExpression(ExpressionSyntax, ExpressionSyntax)](MultiplyAssignmentExpression/README.md#1231414002) | |
| [MultiplyAssignmentExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](MultiplyAssignmentExpression/README.md#224873285) | |
| [MultiplyExpression(ExpressionSyntax, ExpressionSyntax)](MultiplyExpression/README.md#2264152204) | |
| [MultiplyExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](MultiplyExpression/README.md#211798540) | |
| [NameOfExpression(ExpressionSyntax)](NameOfExpression/README.md#3310629376) | |
| [NameOfExpression(String)](NameOfExpression/README.md#3748210960) | |
| [NamespaceDeclaration(NameSyntax, MemberDeclarationSyntax)](NamespaceDeclaration/README.md#2287595890) | |
| [NamespaceDeclaration(NameSyntax, SyntaxList\<MemberDeclarationSyntax\>)](NamespaceDeclaration/README.md#1819207987) | |
| [NewLine()](NewLine/README.md) | |
| [NotEqualsExpression(ExpressionSyntax, ExpressionSyntax)](NotEqualsExpression/README.md#111088577) | |
| [NotEqualsExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](NotEqualsExpression/README.md#159308712) | |
| [NotPattern(PatternSyntax)](NotPattern/README.md) | |
| [NullLiteralExpression()](NullLiteralExpression/README.md) | |
| [NumericLiteralExpression(Decimal)](NumericLiteralExpression/README.md#1996052899) | |
| [NumericLiteralExpression(Double)](NumericLiteralExpression/README.md#2867481974) | |
| [NumericLiteralExpression(Int32)](NumericLiteralExpression/README.md#2391078053) | |
| [NumericLiteralExpression(Int64)](NumericLiteralExpression/README.md#2814565558) | |
| [NumericLiteralExpression(SByte)](NumericLiteralExpression/README.md#101727421) | |
| [NumericLiteralExpression(Single)](NumericLiteralExpression/README.md#4049451095) | |
| [NumericLiteralExpression(UInt32)](NumericLiteralExpression/README.md#131740803) | |
| [NumericLiteralExpression(UInt64)](NumericLiteralExpression/README.md#1294540254) | |
| [ObjectCreationExpression(TypeSyntax, ArgumentListSyntax)](ObjectCreationExpression/README.md) | |
| [ObjectInitializerExpression(SeparatedSyntaxList\<ExpressionSyntax\>)](ObjectInitializerExpression/README.md#1011671945) | |
| [ObjectInitializerExpression(SyntaxToken, SeparatedSyntaxList\<ExpressionSyntax\>, SyntaxToken)](ObjectInitializerExpression/README.md#358178625) | |
| [OperatorDeclaration(SyntaxTokenList, TypeSyntax, SyntaxToken, ParameterListSyntax, ArrowExpressionClauseSyntax)](OperatorDeclaration/README.md#2138558804) | |
| [OperatorDeclaration(SyntaxTokenList, TypeSyntax, SyntaxToken, ParameterListSyntax, BlockSyntax)](OperatorDeclaration/README.md#3606235150) | |
| [OrAssignmentExpression(ExpressionSyntax, ExpressionSyntax)](OrAssignmentExpression/README.md#614755045) | |
| [OrAssignmentExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](OrAssignmentExpression/README.md#442053808) | |
| [Parameter(TypeSyntax, String, ExpressionSyntax)](Parameter/README.md#2103208392) | |
| [Parameter(TypeSyntax, SyntaxToken, EqualsValueClauseSyntax)](Parameter/README.md#3876330429) | |
| [Parameter(TypeSyntax, SyntaxToken, ExpressionSyntax)](Parameter/README.md#676376439) | |
| [ParameterList(ParameterSyntax)](ParameterList/README.md#3481786152) | |
| [ParameterList(ParameterSyntax\[\])](ParameterList/README.md#1814588885) | |
| [PointerIndirectionExpression(ExpressionSyntax, SyntaxToken)](PointerIndirectionExpression/README.md#341657405) | |
| [PointerIndirectionExpression(ExpressionSyntax)](PointerIndirectionExpression/README.md#708923902) | |
| [PostDecrementExpression(ExpressionSyntax, SyntaxToken)](PostDecrementExpression/README.md#3777582548) | |
| [PostDecrementExpression(ExpressionSyntax)](PostDecrementExpression/README.md#2219134177) | |
| [PostIncrementExpression(ExpressionSyntax, SyntaxToken)](PostIncrementExpression/README.md#1566207709) | |
| [PostIncrementExpression(ExpressionSyntax)](PostIncrementExpression/README.md#446860202) | |
| [PreDecrementExpression(ExpressionSyntax, SyntaxToken)](PreDecrementExpression/README.md#2734637583) | |
| [PreDecrementExpression(ExpressionSyntax)](PreDecrementExpression/README.md#598609625) | |
| [PredefinedBoolType()](PredefinedBoolType/README.md) | |
| [PredefinedByteType()](PredefinedByteType/README.md) | |
| [PredefinedDecimalType()](PredefinedDecimalType/README.md) | |
| [PredefinedDoubleType()](PredefinedDoubleType/README.md) | |
| [PredefinedFloatType()](PredefinedFloatType/README.md) | |
| [PredefinedCharType()](PredefinedCharType/README.md) | |
| [PredefinedIntType()](PredefinedIntType/README.md) | |
| [PredefinedLongType()](PredefinedLongType/README.md) | |
| [PredefinedObjectType()](PredefinedObjectType/README.md) | |
| [PredefinedSByteType()](PredefinedSByteType/README.md) | |
| [PredefinedShortType()](PredefinedShortType/README.md) | |
| [PredefinedStringType()](PredefinedStringType/README.md) | |
| [PredefinedUIntType()](PredefinedUIntType/README.md) | |
| [PredefinedULongType()](PredefinedULongType/README.md) | |
| [PredefinedUShortType()](PredefinedUShortType/README.md) | |
| [PreIncrementExpression(ExpressionSyntax, SyntaxToken)](PreIncrementExpression/README.md#1147215000) | |
| [PreIncrementExpression(ExpressionSyntax)](PreIncrementExpression/README.md#4239483536) | |
| [PropertyDeclaration(SyntaxTokenList, TypeSyntax, SyntaxToken, AccessorListSyntax, ExpressionSyntax)](PropertyDeclaration/README.md#951058213) | |
| [PropertyDeclaration(SyntaxTokenList, TypeSyntax, SyntaxToken, ArrowExpressionClauseSyntax)](PropertyDeclaration/README.md#1337449262) | |
| [RemoveAccessorDeclaration(ArrowExpressionClauseSyntax)](RemoveAccessorDeclaration/README.md#116377630) | |
| [RemoveAccessorDeclaration(BlockSyntax)](RemoveAccessorDeclaration/README.md#2473620100) | |
| [RemoveAccessorDeclaration(SyntaxTokenList, ArrowExpressionClauseSyntax)](RemoveAccessorDeclaration/README.md#11143367) | |
| [RemoveAccessorDeclaration(SyntaxTokenList, BlockSyntax)](RemoveAccessorDeclaration/README.md#2398956905) | |
| [RightShiftAssignmentExpression(ExpressionSyntax, ExpressionSyntax)](RightShiftAssignmentExpression/README.md#3581655123) | |
| [RightShiftAssignmentExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](RightShiftAssignmentExpression/README.md#3396597422) | |
| [RightShiftExpression(ExpressionSyntax, ExpressionSyntax)](RightShiftExpression/README.md#1001602963) | |
| [RightShiftExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](RightShiftExpression/README.md#1089670754) | |
| [SetAccessorDeclaration(ArrowExpressionClauseSyntax)](SetAccessorDeclaration/README.md#2068595378) | |
| [SetAccessorDeclaration(BlockSyntax)](SetAccessorDeclaration/README.md#3462723956) | |
| [SetAccessorDeclaration(SyntaxTokenList, ArrowExpressionClauseSyntax)](SetAccessorDeclaration/README.md#3760610552) | |
| [SetAccessorDeclaration(SyntaxTokenList, BlockSyntax)](SetAccessorDeclaration/README.md#2078326810) | |
| [SimpleAssignmentExpression(ExpressionSyntax, ExpressionSyntax)](SimpleAssignmentExpression/README.md#3358121271) | |
| [SimpleAssignmentExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](SimpleAssignmentExpression/README.md#455189239) | |
| [SimpleAssignmentStatement(ExpressionSyntax, ExpressionSyntax)](SimpleAssignmentStatement/README.md#3730109834) | |
| [SimpleAssignmentStatement(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](SimpleAssignmentStatement/README.md#581669078) | |
| [SimpleMemberAccessExpression(ExpressionSyntax, SimpleNameSyntax)](SimpleMemberAccessExpression/README.md#3926974401) | |
| [SimpleMemberAccessExpression(ExpressionSyntax, SyntaxToken, SimpleNameSyntax)](SimpleMemberAccessExpression/README.md#1126784979) | |
| [SimpleMemberInvocationExpression(ExpressionSyntax, SimpleNameSyntax, ArgumentListSyntax)](SimpleMemberInvocationExpression/README.md#355490803) | |
| [SimpleMemberInvocationExpression(ExpressionSyntax, SimpleNameSyntax, ArgumentSyntax)](SimpleMemberInvocationExpression/README.md#1247378193) | |
| [SimpleMemberInvocationExpression(ExpressionSyntax, SimpleNameSyntax)](SimpleMemberInvocationExpression/README.md#3731075925) | |
| [StringLiteralExpression(String)](StringLiteralExpression/README.md) | |
| [StructConstraint()](StructConstraint/README.md) | |
| [StructDeclaration(SyntaxTokenList, String, SyntaxList\<MemberDeclarationSyntax\>)](StructDeclaration/README.md#3834144922) | |
| [StructDeclaration(SyntaxTokenList, SyntaxToken, SyntaxList\<MemberDeclarationSyntax\>)](StructDeclaration/README.md#2002546578) | |
| [SubtractAssignmentExpression(ExpressionSyntax, ExpressionSyntax)](SubtractAssignmentExpression/README.md#3305483181) | |
| [SubtractAssignmentExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](SubtractAssignmentExpression/README.md#3864710514) | |
| [SubtractExpression(ExpressionSyntax, ExpressionSyntax)](SubtractExpression/README.md#702919779) | |
| [SubtractExpression(ExpressionSyntax, SyntaxToken, ExpressionSyntax)](SubtractExpression/README.md#2310594955) | |
| [SuppressNullableWarningExpression(ExpressionSyntax, SyntaxToken)](SuppressNullableWarningExpression/README.md#677674284) | |
| [SuppressNullableWarningExpression(ExpressionSyntax)](SuppressNullableWarningExpression/README.md#2486332328) | |
| [SwitchSection(SwitchLabelSyntax, StatementSyntax)](SwitchSection/README.md#420993063) | |
| [SwitchSection(SwitchLabelSyntax, SyntaxList\<StatementSyntax\>)](SwitchSection/README.md#3075568334) | |
| [SwitchSection(SyntaxList\<SwitchLabelSyntax\>, StatementSyntax)](SwitchSection/README.md#2177824214) | |
| [ThisConstructorInitializer(ArgumentListSyntax)](ThisConstructorInitializer/README.md#529166634) | |
| [ThisConstructorInitializer(SyntaxToken, ArgumentListSyntax)](ThisConstructorInitializer/README.md#360575141) | |
| [TokenList(Accessibility)](TokenList/README.md#3748838306) | Creates a list of modifiers from the specified accessibility\. |
| [TokenList(SyntaxKind, SyntaxKind, SyntaxKind)](TokenList/README.md#1229634363) | |
| [TokenList(SyntaxKind, SyntaxKind)](TokenList/README.md#2344561993) | |
| [TokenList(SyntaxKind)](TokenList/README.md#4143969600) | |
| [TrueLiteralExpression()](TrueLiteralExpression/README.md) | |
| [TryStatement(BlockSyntax, CatchClauseSyntax, FinallyClauseSyntax)](TryStatement/README.md) | |
| [TypeArgumentList(TypeSyntax)](TypeArgumentList/README.md#2228539089) | |
| [TypeArgumentList(TypeSyntax\[\])](TypeArgumentList/README.md#2281643801) | |
| [TypeParameterConstraintClause(IdentifierNameSyntax, TypeParameterConstraintSyntax)](TypeParameterConstraintClause/README.md#619002212) | |
| [TypeParameterConstraintClause(String, TypeParameterConstraintSyntax)](TypeParameterConstraintClause/README.md#2244806971) | |
| [TypeParameterList(TypeParameterSyntax)](TypeParameterList/README.md#3386919544) | |
| [TypeParameterList(TypeParameterSyntax\[\])](TypeParameterList/README.md#1362679333) | |
| [UnaryMinusExpression(ExpressionSyntax, SyntaxToken)](UnaryMinusExpression/README.md#3534239726) | |
| [UnaryMinusExpression(ExpressionSyntax)](UnaryMinusExpression/README.md#2892557367) | |
| [UnaryPlusExpression(ExpressionSyntax, SyntaxToken)](UnaryPlusExpression/README.md#1083238039) | |
| [UnaryPlusExpression(ExpressionSyntax)](UnaryPlusExpression/README.md#3769179125) | |
| [UncheckedExpression(ExpressionSyntax)](UncheckedExpression/README.md#581773469) | |
| [UncheckedExpression(SyntaxToken, ExpressionSyntax, SyntaxToken)](UncheckedExpression/README.md#1917840557) | |
| [UsingStaticDirective(NameSyntax)](UsingStaticDirective/README.md#3383817532) | |
| [UsingStaticDirective(SyntaxToken, SyntaxToken, NameSyntax, SyntaxToken)](UsingStaticDirective/README.md#1460243000) | |
| [VariableDeclaration(TypeSyntax, String, ExpressionSyntax)](VariableDeclaration/README.md#506445895) | |
| [VariableDeclaration(TypeSyntax, SyntaxToken, EqualsValueClauseSyntax)](VariableDeclaration/README.md#2135840671) | |
| [VariableDeclaration(TypeSyntax, SyntaxToken, ExpressionSyntax)](VariableDeclaration/README.md#2343218715) | |
| [VariableDeclaration(TypeSyntax, VariableDeclaratorSyntax)](VariableDeclaration/README.md#2881605525) | |
| [VariableDeclarator(String, EqualsValueClauseSyntax)](VariableDeclarator/README.md#3843321046) | |
| [VariableDeclarator(SyntaxToken, EqualsValueClauseSyntax)](VariableDeclarator/README.md#928164902) | |
| [VarType()](VarType/README.md) | |
| [VoidType()](VoidType/README.md) | |
| [YieldBreakStatement()](YieldBreakStatement/README.md) | |
| [YieldReturnStatement(ExpressionSyntax)](YieldReturnStatement/README.md) | |

