# IfStatementCascade\.Equals Method

[Home](../../../../README.md)

**Containing Type**: [IfStatementCascade](../README.md)

**Assembly**: Roslynator\.CSharp\.dll

## Overloads

| Method | Summary |
| ------ | ------- |
| [Equals(IfStatementCascade)](#3739133020) | Determines whether this instance is equal to another object of the same type\. \(Implements [IEquatable\<IfStatementCascade\>.Equals](https://docs.microsoft.com/en-us/dotnet/api/system.iequatable-1.equals)\) |
| [Equals(Object)](#3247102308) | Determines whether this instance and a specified object are equal\. \(Overrides [ValueType.Equals](https://docs.microsoft.com/en-us/dotnet/api/system.valuetype.equals)\) |

<a id="3739133020"></a>

## Equals\(IfStatementCascade\) 

  
Determines whether this instance is equal to another object of the same type\.

```csharp
public bool Equals(Roslynator.CSharp.IfStatementCascade other)
```

### Parameters

**other** &ensp; [IfStatementCascade](../README.md)

An object to compare with this object\.

### Returns

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean)

true if the current object is equal to the **other** parameter; otherwise, false\.

### Implements

* [IEquatable\<IfStatementCascade\>.Equals](https://docs.microsoft.com/en-us/dotnet/api/system.iequatable-1.equals)
<a id="3247102308"></a>

## Equals\(Object\) 

  
Determines whether this instance and a specified object are equal\.

```csharp
public override bool Equals(object obj)
```

### Parameters

**obj** &ensp; [Object](https://docs.microsoft.com/en-us/dotnet/api/system.object)

The object to compare with the current instance\. 

### Returns

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean)

true if **obj** and this instance are the same type and represent the same value; otherwise, false\. 