# Modifiers Class

[Home](../../../README.md) &#x2022; [Methods](#methods)

**Namespace**: [Roslynator.CSharp](../README.md)

**Assembly**: Roslynator\.CSharp\.dll

  
Serves as a factory for a modifier list\.

```csharp
public static class Modifiers
```

## Methods

| Method | Summary |
| ------ | ------- |
| [Const()](Const/README.md) | Creates a list of modifiers that contains "const" modifier\. |
| [Internal_Abstract()](Internal_Abstract/README.md) | Creates a list of modifiers that contains "internal abstract" modifiers\. |
| [Internal_Const()](Internal_Const/README.md) | Creates a list of modifiers that contains "internal const" modifiers\. |
| [Internal_Override()](Internal_Override/README.md) | Creates a list of modifiers that contains "internal override" modifiers\. |
| [Internal_Partial()](Internal_Partial/README.md) | Creates a list of modifiers that contains "internal partial" modifiers\. |
| [Internal_ReadOnly()](Internal_ReadOnly/README.md) | Creates a list of modifiers that contains "internal readonly" modifiers\. |
| [Internal_Static_Partial()](Internal_Static_Partial/README.md) | Creates a list of modifiers that contains "internal static partial" modifiers\. |
| [Internal_Static_ReadOnly()](Internal_Static_ReadOnly/README.md) | Creates a list of modifiers that contains "internal static readonly" modifiers\. |
| [Internal_Static()](Internal_Static/README.md) | Creates a list of modifiers that contains "internal static" modifiers\. |
| [Internal_Virtual()](Internal_Virtual/README.md) | Creates a list of modifiers that contains "internal virtual" modifiers\. |
| [Internal()](Internal/README.md) | Creates a list of modifiers that contains "internal" modifier\. |
| [Partial()](Partial/README.md) | Creates a list of modifiers that contains "partial" modifier\. |
| [Private_Const()](Private_Const/README.md) | Creates a list of modifiers that contains "private const" modifiers\. |
| [Private_Partial()](Private_Partial/README.md) | Creates a list of modifiers that contains "private partial" modifiers\. |
| [Private_Protected()](Private_Protected/README.md) | Creates a list of modifiers that contains "private protected" modifiers\. |
| [Private_ReadOnly()](Private_ReadOnly/README.md) | Creates a list of modifiers that contains "private readonly" modifiers\. |
| [Private_Static_Partial()](Private_Static_Partial/README.md) | Creates a list of modifiers that contains "private static partial" modifiers\. |
| [Private_Static_ReadOnly()](Private_Static_ReadOnly/README.md) | Creates a list of modifiers that contains "private static readonly" modifiers\. |
| [Private_Static()](Private_Static/README.md) | Creates a list of modifiers that contains "private static" modifiers\. |
| [Private()](Private/README.md) | Creates a list of modifiers that contains "private" modifier\. |
| [Protected_Abstract()](Protected_Abstract/README.md) | Creates a list of modifiers that contains "protected abstract" modifiers\. |
| [Protected_Const()](Protected_Const/README.md) | Creates a list of modifiers that contains "protected const" modifiers\. |
| [Protected_Internal()](Protected_Internal/README.md) | Return modifier list that contains "protected internal" modifiers\. |
| [Protected_Override()](Protected_Override/README.md) | Creates a list of modifiers that contains "protected override" modifiers\. |
| [Protected_ReadOnly()](Protected_ReadOnly/README.md) | Creates a list of modifiers that contains "protected readonly" modifiers\. |
| [Protected_Static_ReadOnly()](Protected_Static_ReadOnly/README.md) | Creates a list of modifiers that contains "protected static readonly" modifiers\. |
| [Protected_Static()](Protected_Static/README.md) | Creates a list of modifiers that contains "protected static" modifiers\. |
| [Protected_Virtual()](Protected_Virtual/README.md) | Creates a list of modifiers that contains "protected virtual" modifiers\. |
| [Protected()](Protected/README.md) | Creates a list of modifiers that contains "protected" modifier\. |
| [Public_Abstract()](Public_Abstract/README.md) | Creates a list of modifiers that contains "public abstract" modifiers\. |
| [Public_Const()](Public_Const/README.md) | Creates a list of modifiers that contains "public const" modifiers\. |
| [Public_Override()](Public_Override/README.md) | Creates a list of modifiers that contains "public override" modifiers\. |
| [Public_Partial()](Public_Partial/README.md) | Creates a list of modifiers that contains "public partial" modifiers\. |
| [Public_ReadOnly()](Public_ReadOnly/README.md) | Creates a list of modifiers that contains "public readonly" modifiers\. |
| [Public_Static_Partial()](Public_Static_Partial/README.md) | Creates a list of modifiers that contains "public static partial" modifiers\. |
| [Public_Static_ReadOnly()](Public_Static_ReadOnly/README.md) | Creates a list of modifiers that contains "public static readonly" modifiers\. |
| [Public_Static()](Public_Static/README.md) | Creates a list of modifiers that contains "public static" modifiers\. |
| [Public_Virtual()](Public_Virtual/README.md) | Creates a list of modifiers that contains "public virtual" modifiers\. |
| [Public()](Public/README.md) | Creates a list of modifiers that contains "public" modifier\. |
| [ReadOnly()](ReadOnly/README.md) | Creates a list of modifiers that contains "readonly" modifier\. |
| [Ref_ReadOnly()](Ref_ReadOnly/README.md) | Creates a list of modifiers that contains "ref readonly" modifiers\. |
| [Static_ReadOnly()](Static_ReadOnly/README.md) | Creates a list of modifiers that contains "static readonly" modifiers\. |
| [Static()](Static/README.md) | Creates a list of modifiers that contains "static" modifier\. |
| [Virtual()](Virtual/README.md) | Creates a list of modifiers that contains "virtual" modifier\. |

