# Roslynator\.CSharp\.Syntax Namespace

[Home](../../../README.md) &#x2022; [Structs](#structs)

**Containing Namespace**: [Roslynator.CSharp](../README.md)

## Structs

| Struct | Summary |
| ------ | ------- |
| [AsExpressionInfo](AsExpressionInfo/README.md) | Provides information about "as" expression\. |
| [AssignmentExpressionInfo](AssignmentExpressionInfo/README.md) | Provides information about simple assignment expression\. |
| [BinaryExpressionInfo](BinaryExpressionInfo/README.md) | Provides information about binary expression\. |
| [ConditionalExpressionInfo](ConditionalExpressionInfo/README.md) | Provides information about conditional expression\. |
| [GenericInfo](GenericInfo/README.md) | Provides information about generic syntax \(class, struct, interface, delegate, method or local function\)\. |
| [IsExpressionInfo](IsExpressionInfo/README.md) | Provides information about "is" expression\. |
| [LocalDeclarationStatementInfo](LocalDeclarationStatementInfo/README.md) | Provides information about local declaration statement\. |
| [MemberDeclarationListInfo](MemberDeclarationListInfo/README.md) | Provides information about a list of member declaration list\. |
| [ModifierListInfo](ModifierListInfo/README.md) | Provides information about modifier list\. |
| [NullCheckExpressionInfo](NullCheckExpressionInfo/README.md) | Provides information about a null check expression\. |
| [RegionInfo](RegionInfo/README.md) | Provides information about a region\. |
| [SimpleAssignmentExpressionInfo](SimpleAssignmentExpressionInfo/README.md) | Provides information about simple assignment expression\. |
| [SimpleAssignmentStatementInfo](SimpleAssignmentStatementInfo/README.md) | Provides information about a simple assignment expression in an expression statement\. |
| [SimpleIfStatementInfo](SimpleIfStatementInfo/README.md) | Provides information about a simple if statement\. Simple if statement is defined as follows: it is not a child of an else clause and it has no else clause\. |
| [SimpleMemberInvocationExpressionInfo](SimpleMemberInvocationExpressionInfo/README.md) | Provides information about invocation expression\. |
| [SimpleMemberInvocationStatementInfo](SimpleMemberInvocationStatementInfo/README.md) | Provides information about invocation expression in an expression statement\. |
| [SingleLocalDeclarationStatementInfo](SingleLocalDeclarationStatementInfo/README.md) | Provides information about a local declaration statement with a single variable\. |
| [SingleParameterLambdaExpressionInfo](SingleParameterLambdaExpressionInfo/README.md) | Provides information about a lambda expression with a single parameter\. |
| [StatementListInfo](StatementListInfo/README.md) | Provides information about a list of statements\. |
| [StringConcatenationExpressionInfo](StringConcatenationExpressionInfo/README.md) | Provides information about string concatenation, i\.e\. a binary expression that binds to string '\+' operator\. |
| [StringLiteralExpressionInfo](StringLiteralExpressionInfo/README.md) | Provides information about string literal expression\. |
| [UsingDirectiveListInfo](UsingDirectiveListInfo/README.md) | Provides information about a list of using directives\. |
| [XmlElementInfo](XmlElementInfo/README.md) | Provides information about a [XmlElementSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.xmlelementsyntax) or [XmlEmptyElementSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.xmlemptyelementsyntax)\. |

