# SimpleMemberInvocationStatementInfo Struct

[Home](../../../../README.md) &#x2022; [Properties](#properties) &#x2022; [Methods](#methods)

**Namespace**: [Roslynator.CSharp.Syntax](../README.md)

**Assembly**: Roslynator\.CSharp\.dll

  
Provides information about invocation expression in an expression statement\.

```csharp
public readonly struct SimpleMemberInvocationStatementInfo
```

### Inheritance

[Object](https://docs.microsoft.com/en-us/dotnet/api/system.object) &#x2192; [ValueType](https://docs.microsoft.com/en-us/dotnet/api/system.valuetype) &#x2192; SimpleMemberInvocationStatementInfo

## Properties

| Property | Summary |
| -------- | ------- |
| [ArgumentList](ArgumentList/README.md) | The argument list\. |
| [Arguments](Arguments/README.md) | A list of arguments\. |
| [Expression](Expression/README.md) | The expression that contains the member being invoked\. |
| [InvocationExpression](InvocationExpression/README.md) | The invocation expression\. |
| [MemberAccessExpression](MemberAccessExpression/README.md) | The member access expression\. |
| [Name](Name/README.md) | The name of the member being invoked\. |
| [NameText](NameText/README.md) | The name of the member being invoked\. |
| [Statement](Statement/README.md) | The expression statement that contains the invocation expression\. |
| [Success](Success/README.md) | Determines whether this struct was initialized with an actual syntax\. |

## Methods

| Method | Summary |
| ------ | ------- |
| [Equals(Object)](https://docs.microsoft.com/en-us/dotnet/api/system.valuetype.equals) |  \(Inherited from [ValueType](https://docs.microsoft.com/en-us/dotnet/api/system.valuetype)\) |
| [GetHashCode()](https://docs.microsoft.com/en-us/dotnet/api/system.valuetype.gethashcode) |  \(Inherited from [ValueType](https://docs.microsoft.com/en-us/dotnet/api/system.valuetype)\) |
| [GetType()](https://docs.microsoft.com/en-us/dotnet/api/system.object.gettype) |  \(Inherited from [Object](https://docs.microsoft.com/en-us/dotnet/api/system.object)\) |
| [MemberwiseClone()](https://docs.microsoft.com/en-us/dotnet/api/system.object.memberwiseclone) |  \(Inherited from [Object](https://docs.microsoft.com/en-us/dotnet/api/system.object)\) |
| [ToString()](https://docs.microsoft.com/en-us/dotnet/api/system.valuetype.tostring) |  \(Inherited from [ValueType](https://docs.microsoft.com/en-us/dotnet/api/system.valuetype)\) |

