# SingleLocalDeclarationStatementInfo Struct

[Home](../../../../README.md) &#x2022; [Properties](#properties) &#x2022; [Methods](#methods)

**Namespace**: [Roslynator.CSharp.Syntax](../README.md)

**Assembly**: Roslynator\.CSharp\.dll

  
Provides information about a local declaration statement with a single variable\.

```csharp
public readonly struct SingleLocalDeclarationStatementInfo
```

### Inheritance

[Object](https://docs.microsoft.com/en-us/dotnet/api/system.object) &#x2192; [ValueType](https://docs.microsoft.com/en-us/dotnet/api/system.valuetype) &#x2192; SingleLocalDeclarationStatementInfo

## Properties

| Property | Summary |
| -------- | ------- |
| [Declaration](Declaration/README.md) | The variable declaration\. |
| [Declarator](Declarator/README.md) | The variable declarator\. |
| [EqualsToken](EqualsToken/README.md) | The equals token\. |
| [Identifier](Identifier/README.md) | Variable identifier\. |
| [IdentifierText](IdentifierText/README.md) | Variable name\. |
| [Initializer](Initializer/README.md) | The variable initializer, if any\. |
| [Modifiers](Modifiers/README.md) | The modifier list\. |
| [SemicolonToken](SemicolonToken/README.md) | The semicolon\. |
| [Statement](Statement/README.md) | The local declaration statement\. |
| [Success](Success/README.md) | Determines whether this struct was initialized with an actual syntax\. |
| [Type](Type/README.md) | The type of a declaration\. |
| [Value](Value/README.md) | The initialized value, if any\. |

## Methods

| Method | Summary |
| ------ | ------- |
| [Equals(Object)](https://docs.microsoft.com/en-us/dotnet/api/system.valuetype.equals) |  \(Inherited from [ValueType](https://docs.microsoft.com/en-us/dotnet/api/system.valuetype)\) |
| [GetHashCode()](https://docs.microsoft.com/en-us/dotnet/api/system.valuetype.gethashcode) |  \(Inherited from [ValueType](https://docs.microsoft.com/en-us/dotnet/api/system.valuetype)\) |
| [GetType()](https://docs.microsoft.com/en-us/dotnet/api/system.object.gettype) |  \(Inherited from [Object](https://docs.microsoft.com/en-us/dotnet/api/system.object)\) |
| [MemberwiseClone()](https://docs.microsoft.com/en-us/dotnet/api/system.object.memberwiseclone) |  \(Inherited from [Object](https://docs.microsoft.com/en-us/dotnet/api/system.object)\) |
| [ToString()](https://docs.microsoft.com/en-us/dotnet/api/system.valuetype.tostring) |  \(Inherited from [ValueType](https://docs.microsoft.com/en-us/dotnet/api/system.valuetype)\) |

