# SyntaxExtensions\.BodyOrExpressionBody Method

[Home](../../../../README.md)

**Containing Type**: [SyntaxExtensions](../README.md)

**Assembly**: Roslynator\.CSharp\.dll

## Overloads

| Method | Summary |
| ------ | ------- |
| [BodyOrExpressionBody(AccessorDeclarationSyntax)](#4213369124) | Returns accessor body or an expression body if the body is null\. |
| [BodyOrExpressionBody(ConstructorDeclarationSyntax)](#3583146349) | Returns constructor body or an expression body if the body is null\. |
| [BodyOrExpressionBody(ConversionOperatorDeclarationSyntax)](#2593258085) | Returns conversion operator body or an expression body if the body is null\. |
| [BodyOrExpressionBody(DestructorDeclarationSyntax)](#1634292077) | Returns destructor body or an expression body if the body is null\. |
| [BodyOrExpressionBody(LocalFunctionStatementSyntax)](#278134350) | Returns local function body or an expression body if the body is null\. |
| [BodyOrExpressionBody(MethodDeclarationSyntax)](#3526085830) | Returns method body or an expression body if the body is null\. |
| [BodyOrExpressionBody(OperatorDeclarationSyntax)](#390059482) | Returns operator body or an expression body if the body is null\. |

<a id="4213369124"></a>

## BodyOrExpressionBody\(AccessorDeclarationSyntax\) 

  
Returns accessor body or an expression body if the body is null\.

```csharp
public static Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode BodyOrExpressionBody(this Microsoft.CodeAnalysis.CSharp.Syntax.AccessorDeclarationSyntax accessorDeclaration)
```

### Parameters

**accessorDeclaration** &ensp; [AccessorDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.accessordeclarationsyntax)

### Returns

[CSharpSyntaxNode](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.csharpsyntaxnode)

<a id="3583146349"></a>

## BodyOrExpressionBody\(ConstructorDeclarationSyntax\) 

  
Returns constructor body or an expression body if the body is null\.

```csharp
public static Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode BodyOrExpressionBody(this Microsoft.CodeAnalysis.CSharp.Syntax.ConstructorDeclarationSyntax constructorDeclaration)
```

### Parameters

**constructorDeclaration** &ensp; [ConstructorDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.constructordeclarationsyntax)

### Returns

[CSharpSyntaxNode](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.csharpsyntaxnode)

<a id="2593258085"></a>

## BodyOrExpressionBody\(ConversionOperatorDeclarationSyntax\) 

  
Returns conversion operator body or an expression body if the body is null\.

```csharp
public static Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode BodyOrExpressionBody(this Microsoft.CodeAnalysis.CSharp.Syntax.ConversionOperatorDeclarationSyntax conversionOperatorDeclaration)
```

### Parameters

**conversionOperatorDeclaration** &ensp; [ConversionOperatorDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.conversionoperatordeclarationsyntax)

### Returns

[CSharpSyntaxNode](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.csharpsyntaxnode)

<a id="1634292077"></a>

## BodyOrExpressionBody\(DestructorDeclarationSyntax\) 

  
Returns destructor body or an expression body if the body is null\.

```csharp
public static Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode BodyOrExpressionBody(this Microsoft.CodeAnalysis.CSharp.Syntax.DestructorDeclarationSyntax destructorDeclaration)
```

### Parameters

**destructorDeclaration** &ensp; [DestructorDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.destructordeclarationsyntax)

### Returns

[CSharpSyntaxNode](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.csharpsyntaxnode)

<a id="278134350"></a>

## BodyOrExpressionBody\(LocalFunctionStatementSyntax\) 

  
Returns local function body or an expression body if the body is null\.

```csharp
public static Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode BodyOrExpressionBody(this Microsoft.CodeAnalysis.CSharp.Syntax.LocalFunctionStatementSyntax localFunctionStatement)
```

### Parameters

**localFunctionStatement** &ensp; [LocalFunctionStatementSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.localfunctionstatementsyntax)

### Returns

[CSharpSyntaxNode](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.csharpsyntaxnode)

<a id="3526085830"></a>

## BodyOrExpressionBody\(MethodDeclarationSyntax\) 

  
Returns method body or an expression body if the body is null\.

```csharp
public static Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode BodyOrExpressionBody(this Microsoft.CodeAnalysis.CSharp.Syntax.MethodDeclarationSyntax methodDeclaration)
```

### Parameters

**methodDeclaration** &ensp; [MethodDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.methoddeclarationsyntax)

### Returns

[CSharpSyntaxNode](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.csharpsyntaxnode)

<a id="390059482"></a>

## BodyOrExpressionBody\(OperatorDeclarationSyntax\) 

  
Returns operator body or an expression body if the body is null\.

```csharp
public static Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode BodyOrExpressionBody(this Microsoft.CodeAnalysis.CSharp.Syntax.OperatorDeclarationSyntax operatorDeclaration)
```

### Parameters

**operatorDeclaration** &ensp; [OperatorDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.operatordeclarationsyntax)

### Returns

[CSharpSyntaxNode](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.csharpsyntaxnode)

