# SyntaxInfo\.MemberDeclarationListInfo Method

[Home](../../../../README.md)

**Containing Type**: [SyntaxInfo](../README.md)

**Assembly**: Roslynator\.CSharp\.dll

## Overloads

| Method | Summary |
| ------ | ------- |
| [MemberDeclarationListInfo(BaseNamespaceDeclarationSyntax)](#673363263) | Creates a new [MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\. |
| [MemberDeclarationListInfo(ClassDeclarationSyntax)](#1440254207) | Creates a new [MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\. |
| [MemberDeclarationListInfo(CompilationUnitSyntax)](#1397551890) | Creates a new [MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md) from the specified compilation unit\. |
| [MemberDeclarationListInfo(InterfaceDeclarationSyntax)](#1943207220) | Creates a new [MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\. |
| [MemberDeclarationListInfo(NamespaceDeclarationSyntax)](#21270916) | Creates a new [MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\. |
| [MemberDeclarationListInfo(StructDeclarationSyntax)](#149582736) | Creates a new [MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\. |
| [MemberDeclarationListInfo(SyntaxNode)](#2611466608) | Creates a new [MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md) from the specified node\. |
| [MemberDeclarationListInfo(TypeDeclarationSyntax)](#4270629442) | Creates a new [MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\. |

<a id="673363263"></a>

## MemberDeclarationListInfo\(BaseNamespaceDeclarationSyntax\) 

  
Creates a new [MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\.

```csharp
public static Roslynator.CSharp.Syntax.MemberDeclarationListInfo MemberDeclarationListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.BaseNamespaceDeclarationSyntax declaration)
```

### Parameters

**declaration** &ensp; [BaseNamespaceDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.basenamespacedeclarationsyntax)

### Returns

[MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md)

<a id="1440254207"></a>

## MemberDeclarationListInfo\(ClassDeclarationSyntax\) 

  
Creates a new [MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\.

```csharp
public static Roslynator.CSharp.Syntax.MemberDeclarationListInfo MemberDeclarationListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.ClassDeclarationSyntax declaration)
```

### Parameters

**declaration** &ensp; [ClassDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.classdeclarationsyntax)

### Returns

[MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md)

<a id="1397551890"></a>

## MemberDeclarationListInfo\(CompilationUnitSyntax\) 

  
Creates a new [MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md) from the specified compilation unit\.

```csharp
public static Roslynator.CSharp.Syntax.MemberDeclarationListInfo MemberDeclarationListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.CompilationUnitSyntax compilationUnit)
```

### Parameters

**compilationUnit** &ensp; [CompilationUnitSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.compilationunitsyntax)

### Returns

[MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md)

<a id="1943207220"></a>

## MemberDeclarationListInfo\(InterfaceDeclarationSyntax\) 

  
Creates a new [MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\.

```csharp
public static Roslynator.CSharp.Syntax.MemberDeclarationListInfo MemberDeclarationListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.InterfaceDeclarationSyntax declaration)
```

### Parameters

**declaration** &ensp; [InterfaceDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.interfacedeclarationsyntax)

### Returns

[MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md)

<a id="21270916"></a>

## MemberDeclarationListInfo\(NamespaceDeclarationSyntax\) 

  
Creates a new [MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\.

```csharp
public static Roslynator.CSharp.Syntax.MemberDeclarationListInfo MemberDeclarationListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.NamespaceDeclarationSyntax declaration)
```

### Parameters

**declaration** &ensp; [NamespaceDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.namespacedeclarationsyntax)

### Returns

[MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md)

<a id="149582736"></a>

## MemberDeclarationListInfo\(StructDeclarationSyntax\) 

  
Creates a new [MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\.

```csharp
public static Roslynator.CSharp.Syntax.MemberDeclarationListInfo MemberDeclarationListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.StructDeclarationSyntax declaration)
```

### Parameters

**declaration** &ensp; [StructDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.structdeclarationsyntax)

### Returns

[MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md)

<a id="2611466608"></a>

## MemberDeclarationListInfo\(SyntaxNode\) 

  
Creates a new [MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md) from the specified node\.

```csharp
public static Roslynator.CSharp.Syntax.MemberDeclarationListInfo MemberDeclarationListInfo(Microsoft.CodeAnalysis.SyntaxNode node)
```

### Parameters

**node** &ensp; [SyntaxNode](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxnode)

### Returns

[MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md)

<a id="4270629442"></a>

## MemberDeclarationListInfo\(TypeDeclarationSyntax\) 

  
Creates a new [MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\.

```csharp
public static Roslynator.CSharp.Syntax.MemberDeclarationListInfo MemberDeclarationListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.TypeDeclarationSyntax declaration)
```

### Parameters

**declaration** &ensp; [TypeDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.typedeclarationsyntax)

### Returns

[MemberDeclarationListInfo](../../Syntax/MemberDeclarationListInfo/README.md)

