# SyntaxInfo Class

[Home](../../../README.md) &#x2022; [Methods](#methods)

**Namespace**: [Roslynator.CSharp](../README.md)

**Assembly**: Roslynator\.CSharp\.dll

  
Serves as a factory for types in Roslynator\.CSharp\.Syntax namespace\.

```csharp
public static class SyntaxInfo
```

## Methods

| Method | Summary |
| ------ | ------- |
| [AsExpressionInfo(BinaryExpressionSyntax, Boolean, Boolean)](AsExpressionInfo/README.md#2937610935) | Creates a new [AsExpressionInfo](../Syntax/AsExpressionInfo/README.md) from the specified binary expression\. |
| [AsExpressionInfo(SyntaxNode, Boolean, Boolean)](AsExpressionInfo/README.md#2854397302) | Creates a new [AsExpressionInfo](../Syntax/AsExpressionInfo/README.md) from the specified node\. |
| [AssignmentExpressionInfo(AssignmentExpressionSyntax, Boolean, Boolean)](AssignmentExpressionInfo/README.md#991774791) | Creates a new [AssignmentExpressionInfo](../Syntax/AssignmentExpressionInfo/README.md) from the specified assignment expression\. |
| [AssignmentExpressionInfo(SyntaxNode, Boolean, Boolean)](AssignmentExpressionInfo/README.md#1140170368) | Creates a new [AssignmentExpressionInfo](../Syntax/AssignmentExpressionInfo/README.md) from the specified node\. |
| [BinaryExpressionInfo(BinaryExpressionSyntax, Boolean, Boolean)](BinaryExpressionInfo/README.md#3276400696) | Creates a new [BinaryExpressionInfo](../Syntax/BinaryExpressionInfo/README.md) from the specified binary expression\. |
| [BinaryExpressionInfo(SyntaxNode, Boolean, Boolean)](BinaryExpressionInfo/README.md#3948535411) | Creates a new [BinaryExpressionInfo](../Syntax/BinaryExpressionInfo/README.md) from the specified node\. |
| [ConditionalExpressionInfo(ConditionalExpressionSyntax, Boolean, Boolean)](ConditionalExpressionInfo/README.md#4291540972) | Creates a new [ConditionalExpressionInfo](../Syntax/ConditionalExpressionInfo/README.md) from the specified conditional expression\. |
| [ConditionalExpressionInfo(SyntaxNode, Boolean, Boolean)](ConditionalExpressionInfo/README.md#2909060166) | Creates a new [ConditionalExpressionInfo](../Syntax/ConditionalExpressionInfo/README.md) from the specified node\. |
| [GenericInfo(DelegateDeclarationSyntax)](GenericInfo/README.md#2218018366) | Creates a new [GenericInfo](../Syntax/GenericInfo/README.md) from the specified delegate declaration\. |
| [GenericInfo(LocalFunctionStatementSyntax)](GenericInfo/README.md#1694092430) | Creates a new [GenericInfo](../Syntax/GenericInfo/README.md) from the specified local function\. |
| [GenericInfo(MethodDeclarationSyntax)](GenericInfo/README.md#1918671437) | Creates a new [GenericInfo](../Syntax/GenericInfo/README.md) from the specified method declaration\. |
| [GenericInfo(SyntaxNode)](GenericInfo/README.md#3041311759) | Creates a new [GenericInfo](../Syntax/GenericInfo/README.md) from the specified node\. |
| [GenericInfo(TypeDeclarationSyntax)](GenericInfo/README.md#732578526) | Creates a new [GenericInfo](../Syntax/GenericInfo/README.md) from the specified type declaration\. |
| [GenericInfo(TypeParameterConstraintClauseSyntax)](GenericInfo/README.md#474495995) | Creates a new [GenericInfo](../Syntax/GenericInfo/README.md) from the specified constraint clause\. |
| [GenericInfo(TypeParameterConstraintSyntax)](GenericInfo/README.md#3050507061) | Creates a new [GenericInfo](../Syntax/GenericInfo/README.md) from the specified type parameter constraint\. |
| [GenericInfo(TypeParameterListSyntax)](GenericInfo/README.md#3976312058) | Creates a new [GenericInfo](../Syntax/GenericInfo/README.md) from the specified type parameter list\. |
| [GenericInfo(TypeParameterSyntax)](GenericInfo/README.md#478667639) | Creates a new [GenericInfo](../Syntax/GenericInfo/README.md) from the specified type parameter\. |
| [IsExpressionInfo(BinaryExpressionSyntax, Boolean, Boolean)](IsExpressionInfo/README.md#2849571983) | Creates a new [IsExpressionInfo](../Syntax/IsExpressionInfo/README.md) from the specified binary expression\. |
| [IsExpressionInfo(SyntaxNode, Boolean, Boolean)](IsExpressionInfo/README.md#1645034337) | Creates a new [IsExpressionInfo](../Syntax/IsExpressionInfo/README.md) from the specified node\. |
| [LocalDeclarationStatementInfo(ExpressionSyntax, Boolean)](LocalDeclarationStatementInfo/README.md#1217906988) | Creates a new [LocalDeclarationStatementInfo](../Syntax/LocalDeclarationStatementInfo/README.md) from the specified expression\. |
| [LocalDeclarationStatementInfo(LocalDeclarationStatementSyntax, Boolean)](LocalDeclarationStatementInfo/README.md#168424774) | Creates a new [LocalDeclarationStatementInfo](../Syntax/LocalDeclarationStatementInfo/README.md) from the specified local declaration statement\. |
| [MemberDeclarationListInfo(BaseNamespaceDeclarationSyntax)](MemberDeclarationListInfo/README.md#673363263) | Creates a new [MemberDeclarationListInfo](../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\. |
| [MemberDeclarationListInfo(ClassDeclarationSyntax)](MemberDeclarationListInfo/README.md#1440254207) | Creates a new [MemberDeclarationListInfo](../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\. |
| [MemberDeclarationListInfo(CompilationUnitSyntax)](MemberDeclarationListInfo/README.md#1397551890) | Creates a new [MemberDeclarationListInfo](../Syntax/MemberDeclarationListInfo/README.md) from the specified compilation unit\. |
| [MemberDeclarationListInfo(InterfaceDeclarationSyntax)](MemberDeclarationListInfo/README.md#1943207220) | Creates a new [MemberDeclarationListInfo](../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\. |
| [MemberDeclarationListInfo(NamespaceDeclarationSyntax)](MemberDeclarationListInfo/README.md#21270916) | Creates a new [MemberDeclarationListInfo](../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\. |
| [MemberDeclarationListInfo(StructDeclarationSyntax)](MemberDeclarationListInfo/README.md#149582736) | Creates a new [MemberDeclarationListInfo](../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\. |
| [MemberDeclarationListInfo(SyntaxNode)](MemberDeclarationListInfo/README.md#2611466608) | Creates a new [MemberDeclarationListInfo](../Syntax/MemberDeclarationListInfo/README.md) from the specified node\. |
| [MemberDeclarationListInfo(TypeDeclarationSyntax)](MemberDeclarationListInfo/README.md#4270629442) | Creates a new [MemberDeclarationListInfo](../Syntax/MemberDeclarationListInfo/README.md) from the specified declaration\. |
| [ModifierListInfo(AccessorDeclarationSyntax)](ModifierListInfo/README.md#2110189475) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified accessor declaration\. |
| [ModifierListInfo(ClassDeclarationSyntax)](ModifierListInfo/README.md#2159031825) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified class declaration\. |
| [ModifierListInfo(ConstructorDeclarationSyntax)](ModifierListInfo/README.md#3366945893) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified constructor declaration\. |
| [ModifierListInfo(ConversionOperatorDeclarationSyntax)](ModifierListInfo/README.md#2220304461) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified conversion operator declaration\. |
| [ModifierListInfo(DelegateDeclarationSyntax)](ModifierListInfo/README.md#4257499822) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified delegate declaration\. |
| [ModifierListInfo(DestructorDeclarationSyntax)](ModifierListInfo/README.md#1628913097) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified destructor declaration\. |
| [ModifierListInfo(EnumDeclarationSyntax)](ModifierListInfo/README.md#4103840034) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified enum declaration\. |
| [ModifierListInfo(EventDeclarationSyntax)](ModifierListInfo/README.md#3085068905) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified event declaration\. |
| [ModifierListInfo(EventFieldDeclarationSyntax)](ModifierListInfo/README.md#3897036721) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified event field declaration\. |
| [ModifierListInfo(FieldDeclarationSyntax)](ModifierListInfo/README.md#4192895393) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified field declaration\. |
| [ModifierListInfo(IncompleteMemberSyntax)](ModifierListInfo/README.md#1367243564) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified incomplete member\. |
| [ModifierListInfo(IndexerDeclarationSyntax)](ModifierListInfo/README.md#1123950903) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified indexer declaration\. |
| [ModifierListInfo(InterfaceDeclarationSyntax)](ModifierListInfo/README.md#332999195) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified interface declaration\. |
| [ModifierListInfo(LocalDeclarationStatementSyntax)](ModifierListInfo/README.md#2681647999) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified local declaration statement\. |
| [ModifierListInfo(LocalFunctionStatementSyntax)](ModifierListInfo/README.md#3556281653) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified local function\. |
| [ModifierListInfo(MethodDeclarationSyntax)](ModifierListInfo/README.md#849402685) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified method declaration\. |
| [ModifierListInfo(OperatorDeclarationSyntax)](ModifierListInfo/README.md#1511593090) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified operator declaration\. |
| [ModifierListInfo(ParameterSyntax)](ModifierListInfo/README.md#620808999) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified parameter\. |
| [ModifierListInfo(PropertyDeclarationSyntax)](ModifierListInfo/README.md#2289821242) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified property declaration\. |
| [ModifierListInfo(StructDeclarationSyntax)](ModifierListInfo/README.md#1454118261) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified struct declaration\. |
| [ModifierListInfo(SyntaxNode)](ModifierListInfo/README.md#266097676) | Creates a new [ModifierListInfo](../Syntax/ModifierListInfo/README.md) from the specified node\. |
| [NullCheckExpressionInfo(SyntaxNode, NullCheckStyles, Boolean, Boolean)](NullCheckExpressionInfo/README.md#3194305842) | Creates a new [NullCheckExpressionInfo](../Syntax/NullCheckExpressionInfo/README.md) from the specified node\. |
| [NullCheckExpressionInfo(SyntaxNode, SemanticModel, NullCheckStyles, Boolean, Boolean, CancellationToken)](NullCheckExpressionInfo/README.md#2114617976) | Creates a new [NullCheckExpressionInfo](../Syntax/NullCheckExpressionInfo/README.md) from the specified node\. |
| [RegionInfo(EndRegionDirectiveTriviaSyntax)](RegionInfo/README.md#1176917118) | Creates a new [RegionInfo](../Syntax/RegionInfo/README.md) from the specified endregion directive\. |
| [RegionInfo(RegionDirectiveTriviaSyntax)](RegionInfo/README.md#2968553518) | Creates a new [RegionInfo](../Syntax/RegionInfo/README.md) from the specified region directive\. |
| [SimpleAssignmentExpressionInfo(AssignmentExpressionSyntax, Boolean, Boolean)](SimpleAssignmentExpressionInfo/README.md#3198633426) | Creates a new [SimpleAssignmentExpressionInfo](../Syntax/SimpleAssignmentExpressionInfo/README.md) from the specified assignment expression\. |
| [SimpleAssignmentExpressionInfo(SyntaxNode, Boolean, Boolean)](SimpleAssignmentExpressionInfo/README.md#991779826) | Creates a new [SimpleAssignmentExpressionInfo](../Syntax/SimpleAssignmentExpressionInfo/README.md) from the specified node\. |
| [SimpleAssignmentStatementInfo(AssignmentExpressionSyntax, Boolean, Boolean)](SimpleAssignmentStatementInfo/README.md#3727216217) | Creates a new [SimpleAssignmentStatementInfo](../Syntax/SimpleAssignmentStatementInfo/README.md) from the specified assignment expression\. |
| [SimpleAssignmentStatementInfo(ExpressionStatementSyntax, Boolean, Boolean)](SimpleAssignmentStatementInfo/README.md#1396493216) | Creates a new [SimpleAssignmentStatementInfo](../Syntax/SimpleAssignmentStatementInfo/README.md) from the specified expression statement\. |
| [SimpleAssignmentStatementInfo(StatementSyntax, Boolean, Boolean)](SimpleAssignmentStatementInfo/README.md#4249106749) | Creates a new [SimpleAssignmentStatementInfo](../Syntax/SimpleAssignmentStatementInfo/README.md) from the specified statement\. |
| [SimpleIfStatementInfo(IfStatementSyntax, Boolean, Boolean)](SimpleIfStatementInfo/README.md#2944896454) | Creates a new [SimpleIfStatementInfo](../Syntax/SimpleIfStatementInfo/README.md) from the specified if statement\. |
| [SimpleIfStatementInfo(SyntaxNode, Boolean, Boolean)](SimpleIfStatementInfo/README.md#2920991926) | Creates a new [SimpleIfStatementInfo](../Syntax/SimpleIfStatementInfo/README.md) from the specified node\. |
| [SimpleMemberInvocationExpressionInfo(InvocationExpressionSyntax, Boolean)](SimpleMemberInvocationExpressionInfo/README.md#3355621655) | Creates a new [SimpleMemberInvocationExpressionInfo](../Syntax/SimpleMemberInvocationExpressionInfo/README.md) from the specified invocation expression\. |
| [SimpleMemberInvocationExpressionInfo(SyntaxNode, Boolean, Boolean)](SimpleMemberInvocationExpressionInfo/README.md#2278576838) | Creates a new [SimpleMemberInvocationExpressionInfo](../Syntax/SimpleMemberInvocationExpressionInfo/README.md) from the specified node\. |
| [SimpleMemberInvocationStatementInfo(ExpressionStatementSyntax, Boolean)](SimpleMemberInvocationStatementInfo/README.md#906050472) | Creates a new [SimpleMemberInvocationStatementInfo](../Syntax/SimpleMemberInvocationStatementInfo/README.md) from the specified expression statement\. |
| [SimpleMemberInvocationStatementInfo(InvocationExpressionSyntax, Boolean)](SimpleMemberInvocationStatementInfo/README.md#2601273746) | Creates a new [SimpleMemberInvocationStatementInfo](../Syntax/SimpleMemberInvocationStatementInfo/README.md) from the specified invocation expression\. |
| [SimpleMemberInvocationStatementInfo(SyntaxNode, Boolean)](SimpleMemberInvocationStatementInfo/README.md#4170800706) | Creates a new [SimpleMemberInvocationStatementInfo](../Syntax/SimpleMemberInvocationStatementInfo/README.md) from the specified node\. |
| [SingleLocalDeclarationStatementInfo(ExpressionSyntax)](SingleLocalDeclarationStatementInfo/README.md#2527570496) | Creates a new [SingleLocalDeclarationStatementInfo](../Syntax/SingleLocalDeclarationStatementInfo/README.md) from the specified value\. |
| [SingleLocalDeclarationStatementInfo(LocalDeclarationStatementSyntax, Boolean)](SingleLocalDeclarationStatementInfo/README.md#1835899654) | Creates a new [SingleLocalDeclarationStatementInfo](../Syntax/SingleLocalDeclarationStatementInfo/README.md) from the specified local declaration statement\. |
| [SingleLocalDeclarationStatementInfo(StatementSyntax, Boolean)](SingleLocalDeclarationStatementInfo/README.md#3792466676) | Creates a new [SingleLocalDeclarationStatementInfo](../Syntax/SingleLocalDeclarationStatementInfo/README.md) from the specified statement\. |
| [SingleLocalDeclarationStatementInfo(VariableDeclarationSyntax, Boolean)](SingleLocalDeclarationStatementInfo/README.md#2234878655) | Creates a new [SingleLocalDeclarationStatementInfo](../Syntax/SingleLocalDeclarationStatementInfo/README.md) from the specified variable declaration\. |
| [SingleParameterLambdaExpressionInfo(LambdaExpressionSyntax, Boolean)](SingleParameterLambdaExpressionInfo/README.md#2354507096) | Creates a new [SingleParameterLambdaExpressionInfo](../Syntax/SingleParameterLambdaExpressionInfo/README.md) from the specified lambda expression\. |
| [SingleParameterLambdaExpressionInfo(SyntaxNode, Boolean, Boolean)](SingleParameterLambdaExpressionInfo/README.md#2023294591) | Creates a new [SingleParameterLambdaExpressionInfo](../Syntax/SingleParameterLambdaExpressionInfo/README.md) from the specified node\. |
| [StatementListInfo(StatementSyntax)](StatementListInfo/README.md) | Creates a new [StatementListInfo](../Syntax/StatementListInfo/README.md) from the specified statement\. |
| [StringConcatenationExpressionInfo(BinaryExpressionSyntax, SemanticModel, CancellationToken)](StringConcatenationExpressionInfo/README.md#1743355382) | Creates a new [StringConcatenationExpressionInfo](../Syntax/StringConcatenationExpressionInfo/README.md) from the specified node\. |
| [StringConcatenationExpressionInfo(ExpressionChain, SemanticModel, CancellationToken)](StringConcatenationExpressionInfo/README.md#560252336) | Creates a new [StringConcatenationExpressionInfo](../Syntax/StringConcatenationExpressionInfo/README.md) from the specified expression chain\. |
| [StringConcatenationExpressionInfo(SyntaxNode, SemanticModel, Boolean, CancellationToken)](StringConcatenationExpressionInfo/README.md#868850232) | Creates a new [StringConcatenationExpressionInfo](../Syntax/StringConcatenationExpressionInfo/README.md) from the specified node\. |
| [StringLiteralExpressionInfo(LiteralExpressionSyntax)](StringLiteralExpressionInfo/README.md#2861805613) | Creates a new [StringLiteralExpressionInfo](../Syntax/StringLiteralExpressionInfo/README.md) from the specified literal expression\. |
| [StringLiteralExpressionInfo(SyntaxNode, Boolean)](StringLiteralExpressionInfo/README.md#3487857671) | Creates a new [StringLiteralExpressionInfo](../Syntax/StringLiteralExpressionInfo/README.md) from the specified node\. |
| [UsingDirectiveListInfo(CompilationUnitSyntax)](UsingDirectiveListInfo/README.md#2988176004) | Creates a new [UsingDirectiveListInfo](../Syntax/UsingDirectiveListInfo/README.md) from the specified compilation unit\. |
| [UsingDirectiveListInfo(NamespaceDeclarationSyntax)](UsingDirectiveListInfo/README.md#1618116571) | Creates a new [UsingDirectiveListInfo](../Syntax/UsingDirectiveListInfo/README.md) from the specified declaration\. |
| [UsingDirectiveListInfo(SyntaxNode)](UsingDirectiveListInfo/README.md#2203746611) | Creates a new [UsingDirectiveListInfo](../Syntax/UsingDirectiveListInfo/README.md) from the specified node\. |
| [XmlElementInfo(XmlNodeSyntax)](XmlElementInfo/README.md) | Creates a new [XmlElementInfo](../Syntax/XmlElementInfo/README.md) from the specified xml node\. |

