# Roslynator\.Testing Namespace

[Home](../../README.md) &#x2022; [Classes](#classes) &#x2022; [Structs](#structs)

**Containing Namespace**: [Roslynator](../README.md)

## Classes

| Class | Summary |
| ----- | ------- |
| [CodeVerifier](CodeVerifier/README.md) | Represents base type for verifying a diagnostic, a code fix and a refactoring\. |
| [CompilerDiagnosticFixTestData](CompilerDiagnosticFixTestData/README.md) | Represents test data for a compiler diagnostic fix\. |
| [CompilerDiagnosticFixVerifier\<TFixProvider\>](CompilerDiagnosticFixVerifier-1/README.md) | Represents a verifier for compiler diagnostic\. |
| [DiagnosticTestData](DiagnosticTestData/README.md) | Represents test data for a diagnostic and its fix\. |
| [DiagnosticVerifier\<TAnalyzer, TFixProvider\>](DiagnosticVerifier-2/README.md) | Represents verifier for a diagnostic that is produced by [DiagnosticAnalyzer](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.diagnostics.diagnosticanalyzer)\. |
| [ExpectedTestState](ExpectedTestState/README.md) | Represents expected test data\. |
| [RefactoringTestData](RefactoringTestData/README.md) | Gets test data for a code refactoring\. |
| [RefactoringVerifier\<TRefactoringProvider\>](RefactoringVerifier-1/README.md) | Represents verifier for a code refactoring\. |
| [TestOptions](TestOptions/README.md) | Represents options for a code verifier\. |

## Structs

| Struct | Summary |
| ------ | ------- |
| [AdditionalFile](AdditionalFile/README.md) | Represents additional code file\. |
| [TestCode](TestCode/README.md) | Represents a source code to be tested\. |

