## Roslynator Refactorings

| Id  | Title | Enabled by Default |
| --- | ----- |:------------------:|
| RR0002 | [Add braces](RR0002.md) | &#x2713; |
| RR0003 | [Add braces to if-else](RR0003.md) | &#x2713; |
| RR0004 | [Add braces to switch section](RR0004.md) | &#x2713; |
| RR0005 | [Add braces to switch sections](RR0005.md) | &#x2713; |
| RR0007 | [Add default value to parameter](RR0007.md) | &#x2713; |
| RR0009 | [Add 'exception' element to documentation comment](RR0009.md) | &#x2713; |
| RR0011 | [Add argument name](RR0011.md) | &#x2713; |
| RR0013 | [Add using directive](RR0013.md) | &#x2713; |
| RR0014 | [Add using static directive](RR0014.md) | &#x2713; |
| RR0016 | [Call extension method as instance method](RR0016.md) | &#x2713; |
| RR0018 | [Use implicit type](RR0018.md) | &#x2713; |
| RR0021 | [Change method return type to 'void'](RR0021.md) | &#x2713; |
| RR0022 | [Change type according to expression](RR0022.md) | &#x2713; |
| RR0023 | [Use explicit type](RR0023.md) | &#x2713; |
| RR0024 | [Check expression for null](RR0024.md) | &#x2713; |
| RR0025 | [Check parameter for null](RR0025.md) | &#x2713; |
| RR0026 | [Use object initializer](RR0026.md) | &#x2713; |
| RR0027 | [Comment out member declaration](RR0027.md) | &#x2713; |
| RR0028 | [Comment out statement](RR0028.md) | &#x2713; |
| RR0029 | [Copy documentation comment from base member](RR0029.md) | &#x2713; |
| RR0030 | [Copy argument](RR0030.md) | &#x2713; |
| RR0031 | [Copy member declaration](RR0031.md) | &#x2713; |
| RR0032 | [Copy parameter](RR0032.md) | &#x2713; |
| RR0033 | [Copy statement](RR0033.md) | &#x2713; |
| RR0034 | [Expand compound assignment](RR0034.md) | &#x2713; |
| RR0035 | [Expand coalesce expression](RR0035.md) | &#x2713; |
| RR0036 | [Expand event declaration](RR0036.md) | &#x2713; |
| RR0037 | [Convert expression body to block body](RR0037.md) | &#x2713; |
| RR0038 | [Expand initializer](RR0038.md) | \- |
| RR0039 | [Convert lambda expression body to block body](RR0039.md) | &#x2713; |
| RR0040 | [Convert auto-property to full property (without backing field)](RR0040.md) | &#x2713; |
| RR0041 | [Convert auto-property to full property](RR0041.md) | &#x2713; |
| RR0043 | [Extract expression from condition](RR0043.md) | &#x2713; |
| RR0045 | [Remove containing statement](RR0045.md) | &#x2713; |
| RR0046 | [Extract type declaration to a new file](RR0046.md) | &#x2713; |
| RR0048 | [Wrap arguments](RR0048.md) | &#x2713; |
| RR0049 | [Wrap binary expression](RR0049.md) | &#x2713; |
| RR0050 | [Wrap conditional expression](RR0050.md) | &#x2713; |
| RR0051 | [Wrap call chain](RR0051.md) | &#x2713; |
| RR0052 | [Wrap initializer expressions](RR0052.md) | &#x2713; |
| RR0053 | [Wrap parameters](RR0053.md) | &#x2713; |
| RR0054 | [Generate base constructors](RR0054.md) | &#x2713; |
| RR0055 | [Generate combined enum member](RR0055.md) | &#x2713; |
| RR0056 | [Generate enum member](RR0056.md) | &#x2713; |
| RR0057 | [Generate enum values](RR0057.md) | &#x2713; |
| RR0058 | [Generate event invoking method](RR0058.md) | &#x2713; |
| RR0059 | [Add missing cases to switch statement](RR0059.md) | &#x2713; |
| RR0060 | [Initialize local variable with default value](RR0060.md) | &#x2713; |
| RR0061 | [Inline alias expression](RR0061.md) | &#x2713; |
| RR0062 | [Inline method](RR0062.md) | &#x2713; |
| RR0063 | [Insert string interpolation](RR0063.md) | &#x2713; |
| RR0064 | [Introduce and initialize field](RR0064.md) | &#x2713; |
| RR0065 | [Introduce and initialize property](RR0065.md) | &#x2713; |
| RR0066 | [Introduce constructor](RR0066.md) | \- |
| RR0067 | [Introduce field to lock on](RR0067.md) | &#x2713; |
| RR0068 | [Introduce local variable](RR0068.md) | &#x2713; |
| RR0069 | [Make member abstract](RR0069.md) | &#x2713; |
| RR0070 | [Make member virtual](RR0070.md) | &#x2713; |
| RR0073 | [Remove unnecessary assignment](RR0073.md) | &#x2713; |
| RR0074 | [Merge attributes](RR0074.md) | &#x2713; |
| RR0075 | [Merge 'if' statements](RR0075.md) | &#x2713; |
| RR0077 | [Merge local declarations](RR0077.md) | &#x2713; |
| RR0078 | [Join string expressions](RR0078.md) | &#x2713; |
| RR0079 | [Invert binary expression](RR0079.md) | &#x2713; |
| RR0080 | [Invert boolean literal](RR0080.md) | &#x2713; |
| RR0081 | [Invert is expression](RR0081.md) | &#x2713; |
| RR0082 | [Invert operator](RR0082.md) | &#x2713; |
| RR0083 | [Notify when property changes](RR0083.md) | &#x2713; |
| RR0084 | [Parenthesize expression](RR0084.md) | &#x2713; |
| RR0085 | [Promote local variable to parameter](RR0085.md) | &#x2713; |
| RR0086 | [Remove all comments](RR0086.md) | &#x2713; |
| RR0087 | [Remove all comments (except documentation comments)](RR0087.md) | &#x2713; |
| RR0088 | [Remove all documentation comments](RR0088.md) | \- |
| RR0089 | [Remove all member declarations](RR0089.md) | &#x2713; |
| RR0090 | [Remove all preprocessor directives](RR0090.md) | &#x2713; |
| RR0091 | [Remove all region directives](RR0091.md) | &#x2713; |
| RR0092 | [Remove all statements](RR0092.md) | &#x2713; |
| RR0093 | [Remove all switch sections](RR0093.md) | &#x2713; |
| RR0094 | [Remove braces](RR0094.md) | &#x2713; |
| RR0095 | [Remove braces from if-else](RR0095.md) | &#x2713; |
| RR0096 | [Remove braces from switch section](RR0096.md) | &#x2713; |
| RR0097 | [Remove braces from switch sections](RR0097.md) | &#x2713; |
| RR0098 | [Remove comment](RR0098.md) | &#x2713; |
| RR0099 | [Remove condition from last else clause](RR0099.md) | &#x2713; |
| RR0100 | [Remove preprocessor directive](RR0100.md) | &#x2713; |
| RR0101 | [Remove empty lines](RR0101.md) | &#x2713; |
| RR0102 | [Remove interpolation](RR0102.md) | &#x2713; |
| RR0103 | [Remove member declaration](RR0103.md) | &#x2713; |
| RR0104 | [Remove member declarations above/below](RR0104.md) | &#x2713; |
| RR0105 | [Remove argument name](RR0105.md) | &#x2713; |
| RR0106 | [Remove parentheses](RR0106.md) | &#x2713; |
| RR0107 | [Remove property initializer](RR0107.md) | &#x2713; |
| RR0108 | [Remove region](RR0108.md) | &#x2713; |
| RR0109 | [Remove statement](RR0109.md) | &#x2713; |
| RR0110 | [Merge switch sections](RR0110.md) | &#x2713; |
| RR0111 | [Synchronize property name and backing field name](RR0111.md) | &#x2713; |
| RR0112 | [Rename identifier according to type name](RR0112.md) | &#x2713; |
| RR0113 | [Rename method according to type name](RR0113.md) | &#x2713; |
| RR0114 | [Rename parameter according to its type name](RR0114.md) | &#x2713; |
| RR0115 | [Rename property according to type name](RR0115.md) | &#x2713; |
| RR0116 | [Invert LINQ method call](RR0116.md) | &#x2713; |
| RR0117 | [Replace 'as' expression with explicit cast](RR0117.md) | &#x2713; |
| RR0118 | [Replace explicit cast expression 'as' expression](RR0118.md) | &#x2713; |
| RR0119 | [Replace conditional expression with true/false branch](RR0119.md) | &#x2713; |
| RR0120 | [Convert ?: to if-else](RR0120.md) | &#x2713; |
| RR0121 | [Use read-only field instead of constant](RR0121.md) | &#x2713; |
| RR0123 | [Convert 'do' to 'while'](RR0123.md) | &#x2713; |
| RR0124 | [Replace equality operator with string.Equals](RR0124.md) | &#x2713; |
| RR0125 | [Replace equality operator with string.IsNullOrEmpty](RR0125.md) | &#x2713; |
| RR0126 | [Replace equality operator with string.IsNullOrWhiteSpace](RR0126.md) | &#x2713; |
| RR0127 | [Inline constant value](RR0127.md) | &#x2713; |
| RR0128 | [Use constant instead of read-only field](RR0128.md) | &#x2713; |
| RR0129 | [Convert 'foreach' to 'for'](RR0129.md) | &#x2713; |
| RR0130 | [Convert 'for' to 'foreach'](RR0130.md) | &#x2713; |
| RR0131 | [Convert 'for' to 'while'](RR0131.md) | &#x2713; |
| RR0132 | [Convert hexadecimal literal to decimal literal](RR0132.md) | &#x2713; |
| RR0133 | [Convert 'if' to 'switch'](RR0133.md) | &#x2713; |
| RR0134 | [Invert prefix/postfix unary operator](RR0134.md) | &#x2713; |
| RR0135 | [Replace interpolated string with interpolation expression](RR0135.md) | &#x2713; |
| RR0136 | [Convert interpolated string to string literal](RR0136.md) | &#x2713; |
| RR0137 | [Convert method group to lambda](RR0137.md) | &#x2713; |
| RR0138 | [Replace method with property](RR0138.md) | \- |
| RR0139 | [Replace 'null' with 'default(...)'](RR0139.md) | &#x2713; |
| RR0140 | [Replace prefix operator to postfix operator](RR0140.md) | &#x2713; |
| RR0141 | [Replace property with method](RR0141.md) | &#x2713; |
| RR0142 | [Convert regular string literal to verbatim string literal](RR0142.md) | &#x2713; |
| RR0143 | [Convert 'return' statement to 'if'](RR0143.md) | &#x2713; |
| RR0144 | [Call string.IndexOf instead of string.Contains](RR0144.md) | &#x2713; |
| RR0145 | [Convert 'string.Format' to interpolated string](RR0145.md) | &#x2713; |
| RR0147 | [Convert 'switch' to 'if'](RR0147.md) | &#x2713; |
| RR0148 | [Convert verbatim string literal to regular string literal](RR0148.md) | &#x2713; |
| RR0149 | [Convert verbatim string literal to regular string literals](RR0149.md) | &#x2713; |
| RR0150 | [Convert 'while' statement to 'do' statement](RR0150.md) | &#x2713; |
| RR0151 | [Convert 'while' statement to 'for' statement](RR0151.md) | &#x2713; |
| RR0152 | [Reverse 'for' statement](RR0152.md) | &#x2713; |
| RR0153 | [Simplify if](RR0153.md) | &#x2713; |
| RR0154 | [Convert lambda block body to expression body](RR0154.md) | &#x2713; |
| RR0155 | [Sort member declarations](RR0155.md) | &#x2713; |
| RR0156 | [Split attributes](RR0156.md) | &#x2713; |
| RR0157 | [Split switch labels](RR0157.md) | &#x2713; |
| RR0158 | [Split variable declaration](RR0158.md) | &#x2713; |
| RR0159 | [Swap binary operands](RR0159.md) | &#x2713; |
| RR0160 | [Invert conditional expression](RR0160.md) | &#x2713; |
| RR0161 | [Swap member declarations](RR0161.md) | &#x2713; |
| RR0162 | [Invert if-else](RR0162.md) | &#x2713; |
| RR0163 | [Uncomment single-line comment](RR0163.md) | &#x2713; |
| RR0164 | [Convert 'HasFlag' call to bitwise operation](RR0164.md) | &#x2713; |
| RR0165 | [Use coalesce expression instead of if](RR0165.md) | &#x2713; |
| RR0166 | [Convert 'if' to ?:](RR0166.md) | &#x2713; |
| RR0167 | [Use element access instead of LINQ method](RR0167.md) | &#x2713; |
| RR0169 | [Convert block body to expression body](RR0169.md) | &#x2713; |
| RR0170 | [Use lambda instead of anonymous method](RR0170.md) | &#x2713; |
| RR0171 | [Convert "" to string.Empty](RR0171.md) | \- |
| RR0172 | [Wrap statements in condition](RR0172.md) | &#x2713; |
| RR0174 | [Wrap lines in preprocessor directive](RR0174.md) | &#x2713; |
| RR0175 | [Wrap lines in #region directive](RR0175.md) | &#x2713; |
| RR0176 | [Wrap lines in try-catch](RR0176.md) | &#x2713; |
| RR0177 | [Wrap statements in 'using' statement](RR0177.md) | &#x2713; |
| RR0178 | [Add generic parameter to a declaration](RR0178.md) | &#x2713; |
| RR0179 | [Implement IEquatable\<T>](RR0179.md) | &#x2713; |
| RR0180 | [Inline using static directive](RR0180.md) | &#x2713; |
| RR0181 | [Inline constant declaration](RR0181.md) | &#x2713; |
| RR0182 | [Use StringBuilder instead of concatenation](RR0182.md) | &#x2713; |
| RR0183 | [Use List\<T> instead of yield](RR0183.md) | &#x2713; |
| RR0184 | [Split if](RR0184.md) | &#x2713; |
| RR0185 | [Remove instantiation of a local variable](RR0185.md) | &#x2713; |
| RR0186 | [Change accessibility](RR0186.md) | &#x2713; |
| RR0187 | [Wrap constraint clauses](RR0187.md) | &#x2713; |
| RR0188 | [Convert 'foreach' to 'for' and reverse loop](RR0188.md) | \- |
| RR0189 | [Invert if](RR0189.md) | &#x2713; |
| RR0190 | [Split if-else](RR0190.md) | &#x2713; |
| RR0191 | [Use index initializer](RR0191.md) | &#x2713; |
| RR0192 | [Convert comment to documentation comment](RR0192.md) | &#x2713; |
| RR0193 | [Convert interpolated string to concatenation](RR0193.md) | &#x2713; |
| RR0194 | [Split local declaration and assignment](RR0194.md) | &#x2713; |
| RR0195 | [Add member to interface](RR0195.md) | &#x2713; |
| RR0196 | [Merge if with parent if](RR0196.md) | &#x2713; |
| RR0197 | [Initialize field from constructor](RR0197.md) | &#x2713; |
| RR0198 | [Inline property](RR0198.md) | &#x2713; |
| RR0199 | [Remove enum member value(s)](RR0199.md) | &#x2713; |
| RR0200 | [Uncomment multi-line comment](RR0200.md) | &#x2713; |
| RR0201 | [Convert interpolated string to 'string.Format'](RR0201.md) | &#x2713; |
| RR0202 | [Move unsafe context to containing declaration](RR0202.md) | &#x2713; |
| RR0203 | [Extract event handler method](RR0203.md) | &#x2713; |
| RR0204 | [Generate property for DebuggerDisplay attribute](RR0204.md) | &#x2713; |
| RR0205 | [Add empty line between declarations](RR0205.md) | &#x2713; |
| RR0206 | [Use enumerator explicitly](RR0206.md) | &#x2713; |
| RR0207 | [Sort case labels](RR0207.md) | &#x2713; |
| RR0208 | [Add tag to documentation comment](RR0208.md) | &#x2713; |
| RR0209 | [Remove async/await](RR0209.md) | &#x2713; |
| RR0210 | [Implement custom enumerator](RR0210.md) | &#x2713; |
| RR0211 | [Convert statements to if-else](RR0211.md) | &#x2713; |
| RR0212 | [Copy switch section](RR0212.md) | &#x2713; |
| RR0213 | [Add parameter to interface member](RR0213.md) | &#x2713; |
| RR0214 | [Convert 'switch' expression to 'switch' statement](RR0214.md) | &#x2713; |
| RR0215 | [Expand positional constructor](RR0215.md) | &#x2713; |
| RR0216 | [Add all properties to initializer](RR0216.md) | &#x2713; |
| RR0217 | [Deconstruct foreach variable](RR0217.md) | &#x2713; |


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*