## Convert ?: to if\-else

| Property           | Value                                                                                   |
| ------------------ | --------------------------------------------------------------------------------------- |
| Id                 | RR0120                                                                                  |
| Title              | Convert ?: to if\-else                                                                  |
| Syntax             | ?: operator that is part of local declaration, assignment or \(yield\) return statement |
| Enabled by Default | &#x2713;                                                                                |

### Usage

#### Before

```csharp
string s = (x) ? "a" : "b";
```

#### After

```csharp
string s;
if (x)
{
    s = "a";
}
else
{
    s = "b";
}
```

- - -

#### Before

```csharp
string s = (x) ? "a" : (y) ? "b" : "c";
```

#### After

```csharp
string s;
if (x)
{
    s = "a";
}
else if (y)
{
    s = "b";
}
else
{
    s = "c";
}
```

## See Also

* [Full list of refactorings](Refactorings.md)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*