## Extract event handler method

| Property           | Value                        |
| ------------------ | ---------------------------- |
| Id                 | RR0203                       |
| Title              | Extract event handler method |
| Syntax             | lambda expression            |
| Enabled by Default | &#x2713;                     |

### Usage

#### Before

```csharp
void Foo()
{
  x.Changed += (s, e) => Bar();
}
```

#### After

```csharp
void Foo()
{
  x.Changed += Changed;
}

void OnChanged(object sender, EventArgs e)
{
  Bar();
}
```

## See Also

* [Full list of refactorings](Refactorings.md)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*