## Remove async/await

| Property           | Value                                                        |
| ------------------ | ------------------------------------------------------------ |
| Id                 | RR0209                                                       |
| Title              | Remove async/await                                           |
| Syntax             | method declaration, local function, lambda, anonymous method |
| Span               | async keyword                                                |
| Enabled by Default | &#x2713;                                                     |

### Usage

#### Before

```csharp
class C
{
    async Task<object> FooAsync()
    {
        return await BarAsync().ConfigureAwait(false);
    }
}
```

#### After

```csharp
class C
{
    Task<object> FooAsync()
    {
        return BarAsync();
    }
}
```

## See Also

* [Full list of refactorings](Refactorings.md)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*