## Add parameter to interface member

| Property           | Value                                   |
| ------------------ | --------------------------------------- |
| Id                 | RR0213                                  |
| Title              | Add parameter to interface member       |
| Syntax             | method declaration, indexer declaration |
| Span               | method name or 'this' keyword           |
| Enabled by Default | &#x2713;                                |

### Usage

#### Before

```csharp
interface IFoo
{
    void Bar(object p);
}

class Foo : IFoo
{
    public void Bar(object p, object p2)
    {
    }
}
```

#### After

```csharp
interface IFoo
{
    void Bar(object p, object p2);
}

class Foo : IFoo
{
    public void Bar(object p, object p2)
    {
    }
}
```

## See Also

* [Full list of refactorings](Refactorings.md)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*