﻿// Copyright (c) Josef Pihrt and Contributors. Licensed under the Apache License, Version 2.0. See License.txt in the project root for license information.

using System;
using System.Collections.Generic;
using System.IO;

namespace Roslynator.CommandLine;

internal static class ConsoleHelpers
{
    public static IEnumerable<string> ReadRedirectedInputAsLines()
    {
        if (Console.IsInputRedirected)
        {
            using (Stream stream = Console.OpenStandardInput())
            using (var streamReader = new StreamReader(stream, Console.InputEncoding))
            {
                string line;

                while ((line = streamReader.ReadLine()) is not null)
                    yield return line;
            }
        }
    }
}
